## org.eclipse.datatools.connectivity.oda.design
Interface DesignPackage

    public interface DesignPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `DesignFactory`

Nested Class Summary
`static interface` `DesignPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Field Summary
`static int` `AXIS_ATTRIBUTES` The meta object id for the '`Axis Attributes`' class.
`static int` `AXIS_ATTRIBUTES__AXIS_TYPE` The feature id for the 'Axis Type' attribute.
`static int` `AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT` The feature id for the 'On Column Layout' attribute.
`static int` `AXIS_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Axis Attributes' class.
`static int` `AXIS_TYPE` The meta object id for the '`Axis Type`' enum.
`static int` `AXIS_TYPE_OBJECT` The meta object id for the 'Axis Type Object' data type.
`static int` `COLUMN_DEFINITION` The meta object id for the '`Column Definition`' class.
`static int` `COLUMN_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES` The feature id for the 'Multi Dimension Attributes' containment reference.
`static int` `COLUMN_DEFINITION__USAGE_HINTS` The feature id for the 'Usage Hints' containment reference.
`static int` `COLUMN_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Column Definition' class.
`static java.lang.String` `copyright`
`static int` `DATA_ACCESS_DESIGN` The meta object id for the '`Data Access Design`' class.
`static int` `DATA_ACCESS_DESIGN__DATA_SET_DESIGN` The feature id for the 'Data Set Design' containment reference.
`static int` `DATA_ACCESS_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Access Design' class.
`static int` `DATA_ELEMENT_ATTRIBUTES` The meta object id for the '`Data Element Attributes`' class.
`static int` `DATA_ELEMENT_ATTRIBUTES__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE` The feature id for the 'Native Data Type Code' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__NULLABILITY` The feature id for the 'Nullability' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__POSITION` The feature id for the 'Position' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__PRECISION` The feature id for the 'Precision' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__SCALE` The feature id for the 'Scale' attribute.
`static int` `DATA_ELEMENT_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Data Element Attributes' class.
`static int` `DATA_ELEMENT_UI_HINTS` The meta object id for the '`Data Element UI Hints`' class.
`static int` `DATA_ELEMENT_UI_HINTS__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` `DATA_ELEMENT_UI_HINTS__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_ELEMENT_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Data Element UI Hints' class.
`static int` `DATA_SET_DESIGN` The meta object id for the '`Data Set Design`' class.
`static int` `DATA_SET_DESIGN__DATA_SOURCE_DESIGN` The feature id for the 'Data Source Design' containment reference.
`static int` `DATA_SET_DESIGN__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_SET_DESIGN__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID` The feature id for the 'Oda Extension Data Set Id' attribute.
`static int` `DATA_SET_DESIGN__PARAMETERS` The feature id for the 'Parameters' containment reference.
`static int` `DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME` The feature id for the 'Primary Result Set Name' attribute.
`static int` `DATA_SET_DESIGN__PRIVATE_PROPERTIES` The feature id for the 'Private Properties' containment reference.
`static int` `DATA_SET_DESIGN__PUBLIC_PROPERTIES` The feature id for the 'Public Properties' containment reference.
`static int` `DATA_SET_DESIGN__QUERY` The feature id for the 'Query' containment reference.
`static int` `DATA_SET_DESIGN__RESULT_SETS` The feature id for the 'Result Sets' containment reference.
`static int` `DATA_SET_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Set Design' class.
`static int` `DATA_SET_PARAMETERS` The meta object id for the '`Data Set Parameters`' class.
`static int` `DATA_SET_PARAMETERS__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS` The feature id for the 'Parameter Definitions' containment reference list.
`static int` `DATA_SET_PARAMETERS_FEATURE_COUNT` The number of structural features of the 'Data Set Parameters' class.
`static int` `DATA_SET_QUERY` The meta object id for the '`Data Set Query`' class.
`static int` `DATA_SET_QUERY__QUERY_TEXT` The feature id for the 'Query Text' attribute.
`static int` `DATA_SET_QUERY_FEATURE_COUNT` The number of structural features of the 'Data Set Query' class.
`static int` `DATA_SOURCE_DESIGN` The meta object id for the '`Data Source Design`' class.
`static int` `DATA_SOURCE_DESIGN__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME` The feature id for the 'Linked Profile Name' attribute.
`static int` `DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH` The feature id for the 'Linked Profile Store File Path' attribute.
`static int` `DATA_SOURCE_DESIGN__NAME` The feature id for the 'Name' attribute.
`static int` `DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID` The feature id for the 'Oda Extension Data Source Id' attribute.
`static int` `DATA_SOURCE_DESIGN__ODA_EXTENSION_ID` The feature id for the 'Oda Extension Id' attribute.
`static int` `DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES` The feature id for the 'Private Properties' containment reference.
`static int` `DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES` The feature id for the 'Public Properties' containment reference.
`static int` `DATA_SOURCE_DESIGN_FEATURE_COUNT` The number of structural features of the 'Data Source Design' class.
`static int` `DESIGN_SESSION_REQUEST` The meta object id for the '`Session Request`' class.
`static int` `DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN` The feature id for the 'Data Access Design' containment reference.
`static int` `DESIGN_SESSION_REQUEST__DESIGNER_STATE` The feature id for the 'Designer State' containment reference.
`static int` `DESIGN_SESSION_REQUEST__EDITABLE` The feature id for the 'Editable' attribute.
`static int` `DESIGN_SESSION_REQUEST__SESSION_LOCALE` The feature id for the 'Session Locale' containment reference.
`static int` `DESIGN_SESSION_REQUEST_FEATURE_COUNT` The number of structural features of the 'Session Request' class.
`static int` `DESIGN_SESSION_RESPONSE` The meta object id for the '`Session Response`' class.
`static int` `DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN` The feature id for the 'Data Access Design' containment reference.
`static int` `DESIGN_SESSION_RESPONSE__DESIGNER_STATE` The feature id for the 'Designer State' containment reference.
`static int` `DESIGN_SESSION_RESPONSE__SESSION_STATUS` The feature id for the 'Session Status' attribute.
`static int` `DESIGN_SESSION_RESPONSE_FEATURE_COUNT` The number of structural features of the 'Session Response' class.
`static int` `DESIGNER_STATE` The meta object id for the '`Designer State`' class.
`static int` `DESIGNER_STATE__STATE_CONTENT` The feature id for the 'State Content' containment reference.
`static int` `DESIGNER_STATE__VERSION` The feature id for the 'Version' attribute.
`static int` `DESIGNER_STATE_CONTENT` The meta object id for the '`Designer State Content`' class.
`static int` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB` The feature id for the 'State Content As Blob' attribute.
`static int` `DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING` The feature id for the 'State Content As String' attribute.
`static int` `DESIGNER_STATE_CONTENT_FEATURE_COUNT` The number of structural features of the 'Designer State Content' class.
`static int` `DESIGNER_STATE_FEATURE_COUNT` The number of structural features of the 'Designer State' class.
`static int` `DOCUMENT_ROOT` The meta object id for the '`Document Root`' class.
`static int` `DOCUMENT_ROOT__MIXED` The feature id for the 'Mixed' attribute list.
`static int` `DOCUMENT_ROOT__ODA_DESIGN_SESSION` The feature id for the 'Oda Design Session' containment reference.
`static int` `DOCUMENT_ROOT__XMLNS_PREFIX_MAP` The feature id for the 'XMLNS Prefix Map' map.
`static int` `DOCUMENT_ROOT__XSI_SCHEMA_LOCATION` The feature id for the 'XSI Schema Location' map.
`static int` `DOCUMENT_ROOT_FEATURE_COUNT` The number of structural features of the 'Document Root' class.
`static int` `DYNAMIC_VALUES_QUERY` The meta object id for the '`Dynamic Values Query`' class.
`static int` `DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN` The feature id for the 'Data Set Design' containment reference.
`static int` `DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN` The feature id for the 'Display Name Column' attribute.
`static int` `DYNAMIC_VALUES_QUERY__ENABLED` The feature id for the 'Enabled' attribute.
`static int` `DYNAMIC_VALUES_QUERY__VALUE_COLUMN` The feature id for the 'Value Column' attribute.
`static int` `DYNAMIC_VALUES_QUERY_FEATURE_COUNT` The number of structural features of the 'Dynamic Values Query' class.
`static DesignPackage` `eINSTANCE` The singleton instance of the package.
`static int` `ELEMENT_NULLABILITY` The meta object id for the '`Element Nullability`' enum.
`static int` `ELEMENT_NULLABILITY_OBJECT` The meta object id for the 'Element Nullability Object' data type.
`static java.lang.String` `eNAME` The package name.
`static java.lang.String` `eNS_PREFIX` The package namespace name.
`static java.lang.String` `eNS_URI` The package namespace URI.
`static int` `HORIZONTAL_ALIGNMENT` The meta object id for the '`Horizontal Alignment`' enum.
`static int` `HORIZONTAL_ALIGNMENT_OBJECT` The meta object id for the 'Horizontal Alignment Object' data type.
`static int` `INPUT_ELEMENT_ATTRIBUTES` The meta object id for the '`Input Element Attributes`' class.
`static int` `INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE` The feature id for the 'Default Scalar Value' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES` The feature id for the 'Dynamic Value Choices' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES__EDITABLE` The feature id for the 'Editable' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE` The feature id for the 'Masks Value' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__OPTIONAL` The feature id for the 'Optional' attribute.
`static int` `INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES` The feature id for the 'Static Value Choices' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Input Element Attributes' class.
`static int` `INPUT_ELEMENT_UI_HINTS` The meta object id for the '`Input Element UI Hints`' class.
`static int` `INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE` The feature id for the 'Prompt Style' attribute.
`static int` `INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Input Element UI Hints' class.
`static int` `INPUT_PARAMETER_ATTRIBUTES` The meta object id for the '`Input Parameter Attributes`' class.
`static int` `INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES` The feature id for the 'Element Attributes' containment reference.
`static int` `INPUT_PARAMETER_ATTRIBUTES__UI_HINTS` The feature id for the 'Ui Hints' containment reference.
`static int` `INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Input Parameter Attributes' class.
`static int` `INPUT_PARAMETER_UI_HINTS` The meta object id for the '`Input Parameter UI Hints`' class.
`static int` `INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME` The feature id for the 'Group Prompt Display Name' attribute.
`static int` `INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT` The number of structural features of the 'Input Parameter UI Hints' class.
`static int` `INPUT_PROMPT_CONTROL_STYLE` The meta object id for the '`Input Prompt Control Style`' enum.
`static int` `INPUT_PROMPT_CONTROL_STYLE_OBJECT` The meta object id for the 'Input Prompt Control Style Object' data type.
`static int` `LOCALE` The meta object id for the '`Locale`' class.
`static int` `LOCALE__COUNTRY` The feature id for the 'Country' attribute.
`static int` `LOCALE__LANGUAGE` The feature id for the 'Language' attribute.
`static int` `LOCALE__VARIANT` The feature id for the 'Variant' attribute.
`static int` `LOCALE_FEATURE_COUNT` The number of structural features of the 'Locale' class.
`static int` `NAME_VALUE_PAIR` The meta object id for the '`Name Value Pair`' class.
`static int` `NAME_VALUE_PAIR__NAME` The feature id for the 'Name' attribute.
`static int` `NAME_VALUE_PAIR__VALUE` The feature id for the 'Value' attribute.
`static int` `NAME_VALUE_PAIR_FEATURE_COUNT` The number of structural features of the 'Name Value Pair' class.
`static int` `NATIVE_DATA_TYPE_CODE` The meta object id for the 'Native Data Type Code' data type.
`static int` `NATIVE_DATA_TYPE_CODE_OBJECT` The meta object id for the 'Native Data Type Code Object' data type.
`static int` `ODA_COMPLEX_DATA_TYPE` The meta object id for the '`Oda Complex Data Type`' enum.
`static int` `ODA_COMPLEX_DATA_TYPE_OBJECT` The meta object id for the 'Oda Complex Data Type Object' data type.
`static int` `ODA_DESIGN_SESSION` The meta object id for the '`Oda Design Session`' class.
`static int` `ODA_DESIGN_SESSION__REQUEST` The feature id for the 'Request' containment reference.
`static int` `ODA_DESIGN_SESSION__RESPONSE` The feature id for the 'Response' containment reference.
`static int` `ODA_DESIGN_SESSION_FEATURE_COUNT` The number of structural features of the 'Oda Design Session' class.
`static int` `ODA_SCALAR_DATA_TYPE` The meta object id for the '`Oda Scalar Data Type`' enum.
`static int` `ODA_SCALAR_DATA_TYPE_OBJECT` The meta object id for the 'Oda Scalar Data Type Object' data type.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES` The meta object id for the '`Output Element Attributes`' class.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS` The feature id for the 'Formatting Hints' containment reference.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT` The feature id for the 'Help Text' attribute.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES__LABEL` The feature id for the 'Label' attribute.
`static int` `OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Output Element Attributes' class.
`static int` `PARAMETER_DEFINITION` The meta object id for the '`Parameter Definition`' class.
`static int` `PARAMETER_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `PARAMETER_DEFINITION__FIELDS` The feature id for the 'Fields' containment reference.
`static int` `PARAMETER_DEFINITION__IN_OUT_MODE` The feature id for the 'In Out Mode' attribute.
`static int` `PARAMETER_DEFINITION__INPUT_ATTRIBUTES` The feature id for the 'Input Attributes' containment reference.
`static int` `PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS` The feature id for the 'Output Usage Hints' containment reference.
`static int` `PARAMETER_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Parameter Definition' class.
`static int` `PARAMETER_FIELD_DEFINITION` The meta object id for the '`Parameter Field Definition`' class.
`static int` `PARAMETER_FIELD_DEFINITION__ATTRIBUTES` The feature id for the 'Attributes' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES` The feature id for the 'Input Attributes' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS` The feature id for the 'Output Usage Hints' containment reference.
`static int` `PARAMETER_FIELD_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Parameter Field Definition' class.
`static int` `PARAMETER_FIELDS` The meta object id for the '`Parameter Fields`' class.
`static int` `PARAMETER_FIELDS__FIELD_COLLECTION` The feature id for the 'Field Collection' containment reference list.
`static int` `PARAMETER_FIELDS_FEATURE_COUNT` The number of structural features of the 'Parameter Fields' class.
`static int` `PARAMETER_MODE` The meta object id for the '`Parameter Mode`' enum.
`static int` `PARAMETER_MODE_OBJECT` The meta object id for the 'Parameter Mode Object' data type.
`static int` `PROPERTIES` The meta object id for the '`Properties`' class.
`static int` `PROPERTIES__PROPERTIES` The feature id for the 'Properties' containment reference list.
`static int` `PROPERTIES_FEATURE_COUNT` The number of structural features of the 'Properties' class.
`static int` `PROPERTY` The meta object id for the '`Property`' class.
`static int` `PROPERTY__DESIGN_ATTRIBUTES` The feature id for the 'Design Attributes' containment reference.
`static int` `PROPERTY__NAME_VALUE` The feature id for the 'Name Value' containment reference.
`static int` `PROPERTY_ATTRIBUTES` The meta object id for the '`Property Attributes`' class.
`static int` `PROPERTY_ATTRIBUTES__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `PROPERTY_ATTRIBUTES__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES` The feature id for the 'Element Attributes' containment reference.
`static int` `PROPERTY_ATTRIBUTES_FEATURE_COUNT` The number of structural features of the 'Property Attributes' class.
`static int` `PROPERTY_FEATURE_COUNT` The number of structural features of the 'Property' class.
`static int` `RESULT_SET_COLUMNS` The meta object id for the '`Result Set Columns`' class.
`static int` `RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS` The feature id for the 'Result Column Definitions' containment reference list.
`static int` `RESULT_SET_COLUMNS_FEATURE_COUNT` The number of structural features of the 'Result Set Columns' class.
`static int` `RESULT_SET_DEFINITION` The meta object id for the '`Result Set Definition`' class.
`static int` `RESULT_SET_DEFINITION__NAME` The feature id for the 'Name' attribute.
`static int` `RESULT_SET_DEFINITION__RESULT_SET_COLUMNS` The feature id for the 'Result Set Columns' containment reference.
`static int` `RESULT_SET_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Result Set Definition' class.
`static int` `RESULT_SETS` The meta object id for the '`Result Sets`' class.
`static int` `RESULT_SETS__DERIVED_META_DATA` The feature id for the 'Derived Meta Data' attribute.
`static int` `RESULT_SETS__RESULT_SET_DEFINITIONS` The feature id for the 'Result Set Definitions' containment reference list.
`static int` `RESULT_SETS_FEATURE_COUNT` The number of structural features of the 'Result Sets' class.
`static int` `SCALAR_VALUE_CHOICES` The meta object id for the '`Scalar Value Choices`' class.
`static int` `SCALAR_VALUE_CHOICES__SCALAR_VALUES` The feature id for the 'Scalar Values' containment reference list.
`static int` `SCALAR_VALUE_CHOICES_FEATURE_COUNT` The number of structural features of the 'Scalar Value Choices' class.
`static int` `SCALAR_VALUE_DEFINITION` The meta object id for the '`Scalar Value Definition`' class.
`static int` `SCALAR_VALUE_DEFINITION__DISPLAY_NAME` The feature id for the 'Display Name' attribute.
`static int` `SCALAR_VALUE_DEFINITION__VALUE` The feature id for the 'Value' attribute.
`static int` `SCALAR_VALUE_DEFINITION_FEATURE_COUNT` The number of structural features of the 'Scalar Value Definition' class.
`static int` `SESSION_STATUS` The meta object id for the '`Session Status`' enum.
`static int` `SESSION_STATUS_OBJECT` The meta object id for the 'Session Status Object' data type.
`static int` `TEXT_FORMAT_TYPE` The meta object id for the '`Text Format Type`' enum.
`static int` `TEXT_FORMAT_TYPE_OBJECT` The meta object id for the 'Text Format Type Object' data type.
`static int` `TEXT_WRAP_TYPE` The meta object id for the '`Text Wrap Type`' enum.
`static int` `TEXT_WRAP_TYPE_OBJECT` The meta object id for the 'Text Wrap Type Object' data type.
`static int` `VALUE_FORMAT_HINTS` The meta object id for the '`Value Format Hints`' class.
`static int` `VALUE_FORMAT_HINTS__DISPLAY_FORMAT` The feature id for the 'Display Format' attribute.
`static int` `VALUE_FORMAT_HINTS__DISPLAY_SIZE` The feature id for the 'Display Size' attribute.
`static int` `VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT` The feature id for the 'Horizontal Alignment' attribute.
`static int` `VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE` The feature id for the 'Text Format Type' attribute.
`static int` `VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE` The feature id for the 'Text Wrap Type' attribute.
`static int` `VALUE_FORMAT_HINTS_FEATURE_COUNT` The number of structural features of the 'Value Format Hints' class.

Method Summary
`EAttribute` `getAxisAttributes_AxisType()` Returns the meta object for the attribute '`Axis Type`'.
`EAttribute` `getAxisAttributes_OnColumnLayout()` Returns the meta object for the attribute '`On Column Layout`'.
`EClass` `getAxisAttributes()` Returns the meta object for class '`Axis Attributes`'.
`EEnum` `getAxisType()` Returns the meta object for enum '`Axis Type`'.
`EDataType` `getAxisTypeObject()` Returns the meta object for data type '`Axis Type Object`'.
`EReference` `getColumnDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`EReference` `getColumnDefinition_MultiDimensionAttributes()` Returns the meta object for the containment reference '`Multi Dimension Attributes`'.
`EReference` `getColumnDefinition_UsageHints()` Returns the meta object for the containment reference '`Usage Hints`'.
`EClass` `getColumnDefinition()` Returns the meta object for class '`Column Definition`'.
`EReference` `getDataAccessDesign_DataSetDesign()` Returns the meta object for the containment reference '`Data Set Design`'.
`EClass` `getDataAccessDesign()` Returns the meta object for class '`Data Access Design`'.
`EAttribute` `getDataElementAttributes_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getDataElementAttributes_NativeDataTypeCode()` Returns the meta object for the attribute '`Native Data Type Code`'.
`EAttribute` `getDataElementAttributes_Nullability()` Returns the meta object for the attribute '`Nullability`'.
`EAttribute` `getDataElementAttributes_Position()` Returns the meta object for the attribute '`Position`'.
`EAttribute` `getDataElementAttributes_Precision()` Returns the meta object for the attribute '`Precision`'.
`EAttribute` `getDataElementAttributes_Scale()` Returns the meta object for the attribute '`Scale`'.
`EReference` `getDataElementAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`EClass` `getDataElementAttributes()` Returns the meta object for class '`Data Element Attributes`'.
`EAttribute` `getDataElementUIHints_Description()` Returns the meta object for the attribute '`Description`'.
`EAttribute` `getDataElementUIHints_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EClass` `getDataElementUIHints()` Returns the meta object for class '`Data Element UI Hints`'.
`EReference` `getDataSetDesign_DataSourceDesign()` Returns the meta object for the containment reference '`Data Source Design`'.
`EAttribute` `getDataSetDesign_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EAttribute` `getDataSetDesign_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getDataSetDesign_OdaExtensionDataSetId()` Returns the meta object for the attribute '`Oda Extension Data Set Id`'.
`EReference` `getDataSetDesign_Parameters()` Returns the meta object for the containment reference '`Parameters`'.
`EAttribute` `getDataSetDesign_PrimaryResultSetName()` Returns the meta object for the attribute '`Primary Result Set Name`'.
`EReference` `getDataSetDesign_PrivateProperties()` Returns the meta object for the containment reference '`Private Properties`'.
`EReference` `getDataSetDesign_PublicProperties()` Returns the meta object for the containment reference '`Public Properties`'.
`EReference` `getDataSetDesign_Query()` Returns the meta object for the containment reference '`Query`'.
`EReference` `getDataSetDesign_ResultSets()` Returns the meta object for the containment reference '`Result Sets`'.
`EClass` `getDataSetDesign()` Returns the meta object for class '`Data Set Design`'.
`EAttribute` `getDataSetParameters_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`EReference` `getDataSetParameters_ParameterDefinitions()` Returns the meta object for the containment reference list '`Parameter Definitions`'.
`EClass` `getDataSetParameters()` Returns the meta object for class '`Data Set Parameters`'.
`EAttribute` `getDataSetQuery_QueryText()` Returns the meta object for the attribute '`Query Text`'.
`EClass` `getDataSetQuery()` Returns the meta object for class '`Data Set Query`'.
`EAttribute` `getDataSourceDesign_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EAttribute` `getDataSourceDesign_LinkedProfileName()` Returns the meta object for the attribute '`Linked Profile Name`'.
`EAttribute` `getDataSourceDesign_LinkedProfileStoreFilePath()` Returns the meta object for the attribute '`Linked Profile Store File Path`'.
`EAttribute` `getDataSourceDesign_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getDataSourceDesign_OdaExtensionDataSourceId()` Returns the meta object for the attribute '`Oda Extension Data Source Id`'.
`EAttribute` `getDataSourceDesign_OdaExtensionId()` Returns the meta object for the attribute '`Oda Extension Id`'.
`EReference` `getDataSourceDesign_PrivateProperties()` Returns the meta object for the containment reference '`Private Properties`'.
`EReference` `getDataSourceDesign_PublicProperties()` Returns the meta object for the containment reference '`Public Properties`'.
`EClass` `getDataSourceDesign()` Returns the meta object for class '`Data Source Design`'.
`EReference` `getDesignerState_StateContent()` Returns the meta object for the containment reference '`State Content`'.
`EAttribute` `getDesignerState_Version()` Returns the meta object for the attribute '`Version`'.
`EClass` `getDesignerState()` Returns the meta object for class '`Designer State`'.
`EAttribute` `getDesignerStateContent_StateContentAsBlob()` Returns the meta object for the attribute '`State Content As Blob`'.
`EAttribute` `getDesignerStateContent_StateContentAsString()` Returns the meta object for the attribute '`State Content As String`'.
`EClass` `getDesignerStateContent()` Returns the meta object for class '`Designer State Content`'.
`DesignFactory` `getDesignFactory()` Returns the factory that creates the instances of the model.
`EReference` `getDesignSessionRequest_DataAccessDesign()` Returns the meta object for the containment reference '`Data Access Design`'.
`EReference` `getDesignSessionRequest_DesignerState()` Returns the meta object for the containment reference '`Designer State`'.
`EAttribute` `getDesignSessionRequest_Editable()` Returns the meta object for the attribute '`Editable`'.
`EReference` `getDesignSessionRequest_SessionLocale()` Returns the meta object for the containment reference '`Session Locale`'.
`EClass` `getDesignSessionRequest()` Returns the meta object for class '`Session Request`'.
`EReference` `getDesignSessionResponse_DataAccessDesign()` Returns the meta object for the containment reference '`Data Access Design`'.
`EReference` `getDesignSessionResponse_DesignerState()` Returns the meta object for the containment reference '`Designer State`'.
`EAttribute` `getDesignSessionResponse_SessionStatus()` Returns the meta object for the attribute '`Session Status`'.
`EClass` `getDesignSessionResponse()` Returns the meta object for class '`Session Response`'.
`EAttribute` `getDocumentRoot_Mixed()` Returns the meta object for the attribute list '`Mixed`'.
`EReference` `getDocumentRoot_OdaDesignSession()` Returns the meta object for the containment reference '`Oda Design Session`'.
`EReference` `getDocumentRoot_XMLNSPrefixMap()` Returns the meta object for the map '`XMLNS Prefix Map`'.
`EReference` `getDocumentRoot_XSISchemaLocation()` Returns the meta object for the map '`XSI Schema Location`'.
`EClass` `getDocumentRoot()` Returns the meta object for class '`Document Root`'.
`EReference` `getDynamicValuesQuery_DataSetDesign()` Returns the meta object for the containment reference '`Data Set Design`'.
`EAttribute` `getDynamicValuesQuery_DisplayNameColumn()` Returns the meta object for the attribute '`Display Name Column`'.
`EAttribute` `getDynamicValuesQuery_Enabled()` Returns the meta object for the attribute '`Enabled`'.
`EAttribute` `getDynamicValuesQuery_ValueColumn()` Returns the meta object for the attribute '`Value Column`'.
`EClass` `getDynamicValuesQuery()` Returns the meta object for class '`Dynamic Values Query`'.
`EEnum` `getElementNullability()` Returns the meta object for enum '`Element Nullability`'.
`EDataType` `getElementNullabilityObject()` Returns the meta object for data type '`Element Nullability Object`'.
`EEnum` `getHorizontalAlignment()` Returns the meta object for enum '`Horizontal Alignment`'.
`EDataType` `getHorizontalAlignmentObject()` Returns the meta object for data type '`Horizontal Alignment Object`'.
`EAttribute` `getInputElementAttributes_DefaultScalarValue()` Returns the meta object for the attribute '`Default Scalar Value`'.
`EReference` `getInputElementAttributes_DynamicValueChoices()` Returns the meta object for the containment reference '`Dynamic Value Choices`'.
`EAttribute` `getInputElementAttributes_Editable()` Returns the meta object for the attribute '`Editable`'.
`EAttribute` `getInputElementAttributes_MasksValue()` Returns the meta object for the attribute '`Masks Value`'.
`EAttribute` `getInputElementAttributes_Optional()` Returns the meta object for the attribute '`Optional`'.
`EReference` `getInputElementAttributes_StaticValueChoices()` Returns the meta object for the containment reference '`Static Value Choices`'.
`EReference` `getInputElementAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`EClass` `getInputElementAttributes()` Returns the meta object for class '`Input Element Attributes`'.
`EAttribute` `getInputElementUIHints_PromptStyle()` Returns the meta object for the attribute '`Prompt Style`'.
`EClass` `getInputElementUIHints()` Returns the meta object for class '`Input Element UI Hints`'.
`EReference` `getInputParameterAttributes_ElementAttributes()` Returns the meta object for the containment reference '`Element Attributes`'.
`EReference` `getInputParameterAttributes_UiHints()` Returns the meta object for the containment reference '`Ui Hints`'.
`EClass` `getInputParameterAttributes()` Returns the meta object for class '`Input Parameter Attributes`'.
`EAttribute` `getInputParameterUIHints_GroupPromptDisplayName()` Returns the meta object for the attribute '`Group Prompt Display Name`'.
`EClass` `getInputParameterUIHints()` Returns the meta object for class '`Input Parameter UI Hints`'.
`EEnum` `getInputPromptControlStyle()` Returns the meta object for enum '`Input Prompt Control Style`'.
`EDataType` `getInputPromptControlStyleObject()` Returns the meta object for data type '`Input Prompt Control Style Object`'.
`EAttribute` `getLocale_Country()` Returns the meta object for the attribute '`Country`'.
`EAttribute` `getLocale_Language()` Returns the meta object for the attribute '`Language`'.
`EAttribute` `getLocale_Variant()` Returns the meta object for the attribute '`Variant`'.
`EClass` `getLocale()` Returns the meta object for class '`Locale`'.
`EAttribute` `getNameValuePair_Name()` Returns the meta object for the attribute '`Name`'.
`EAttribute` `getNameValuePair_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getNameValuePair()` Returns the meta object for class '`Name Value Pair`'.
`EDataType` `getNativeDataTypeCode()` Returns the meta object for data type 'Native Data Type Code'.
`EDataType` `getNativeDataTypeCodeObject()` Returns the meta object for data type '`Native Data Type Code Object`'.
`EEnum` `getOdaComplexDataType()` Returns the meta object for enum '`Oda Complex Data Type`'.
`EDataType` `getOdaComplexDataTypeObject()` Returns the meta object for data type '`Oda Complex Data Type Object`'.
`EReference` `getOdaDesignSession_Request()` Returns the meta object for the containment reference '`Request`'.
`EReference` `getOdaDesignSession_Response()` Returns the meta object for the containment reference '`Response`'.
`EClass` `getOdaDesignSession()` Returns the meta object for class '`Oda Design Session`'.
`EEnum` `getOdaScalarDataType()` Returns the meta object for enum '`Oda Scalar Data Type`'.
`EDataType` `getOdaScalarDataTypeObject()` Returns the meta object for data type '`Oda Scalar Data Type Object`'.
`EReference` `getOutputElementAttributes_FormattingHints()` Returns the meta object for the containment reference '`Formatting Hints`'.
`EAttribute` `getOutputElementAttributes_HelpText()` Returns the meta object for the attribute '`Help Text`'.
`EAttribute` `getOutputElementAttributes_Label()` Returns the meta object for the attribute '`Label`'.
`EClass` `getOutputElementAttributes()` Returns the meta object for class '`Output Element Attributes`'.
`EReference` `getParameterDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`EReference` `getParameterDefinition_Fields()` Returns the meta object for the containment reference '`Fields`'.
`EAttribute` `getParameterDefinition_InOutMode()` Returns the meta object for the attribute '`In Out Mode`'.
`EReference` `getParameterDefinition_InputAttributes()` Returns the meta object for the containment reference '`Input Attributes`'.
`EReference` `getParameterDefinition_OutputUsageHints()` Returns the meta object for the containment reference '`Output Usage Hints`'.
`EClass` `getParameterDefinition()` Returns the meta object for class '`Parameter Definition`'.
`EReference` `getParameterFieldDefinition_Attributes()` Returns the meta object for the containment reference '`Attributes`'.
`EReference` `getParameterFieldDefinition_InputAttributes()` Returns the meta object for the containment reference '`Input Attributes`'.
`EReference` `getParameterFieldDefinition_OutputUsageHints()` Returns the meta object for the containment reference '`Output Usage Hints`'.
`EClass` `getParameterFieldDefinition()` Returns the meta object for class '`Parameter Field Definition`'.
`EReference` `getParameterFields_FieldCollection()` Returns the meta object for the containment reference list '`Field Collection`'.
`EClass` `getParameterFields()` Returns the meta object for class '`Parameter Fields`'.
`EEnum` `getParameterMode()` Returns the meta object for enum '`Parameter Mode`'.
`EDataType` `getParameterModeObject()` Returns the meta object for data type '`Parameter Mode Object`'.
`EReference` `getProperties_Properties()` Returns the meta object for the containment reference list '`Properties`'.
`EClass` `getProperties()` Returns the meta object for class '`Properties`'.
`EReference` `getProperty_DesignAttributes()` Returns the meta object for the containment reference '`Design Attributes`'.
`EReference` `getProperty_NameValue()` Returns the meta object for the containment reference '`Name Value`'.
`EClass` `getProperty()` Returns the meta object for class '`Property`'.
`EAttribute` `getPropertyAttributes_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`EAttribute` `getPropertyAttributes_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EReference` `getPropertyAttributes_ElementAttributes()` Returns the meta object for the containment reference '`Element Attributes`'.
`EClass` `getPropertyAttributes()` Returns the meta object for class '`Property Attributes`'.
`EReference` `getResultSetColumns_ResultColumnDefinitions()` Returns the meta object for the containment reference list '`Result Column Definitions`'.
`EClass` `getResultSetColumns()` Returns the meta object for class '`Result Set Columns`'.
`EAttribute` `getResultSetDefinition_Name()` Returns the meta object for the attribute '`Name`'.
`EReference` `getResultSetDefinition_ResultSetColumns()` Returns the meta object for the containment reference '`Result Set Columns`'.
`EClass` `getResultSetDefinition()` Returns the meta object for class '`Result Set Definition`'.
`EAttribute` `getResultSets_DerivedMetaData()` Returns the meta object for the attribute '`Derived Meta Data`'.
`EReference` `getResultSets_ResultSetDefinitions()` Returns the meta object for the containment reference list '`Result Set Definitions`'.
`EClass` `getResultSets()` Returns the meta object for class '`Result Sets`'.
`EReference` `getScalarValueChoices_ScalarValues()` Returns the meta object for the containment reference list '`Scalar Values`'.
`EClass` `getScalarValueChoices()` Returns the meta object for class '`Scalar Value Choices`'.
`EAttribute` `getScalarValueDefinition_DisplayName()` Returns the meta object for the attribute '`Display Name`'.
`EAttribute` `getScalarValueDefinition_Value()` Returns the meta object for the attribute '`Value`'.
`EClass` `getScalarValueDefinition()` Returns the meta object for class '`Scalar Value Definition`'.
`EEnum` `getSessionStatus()` Returns the meta object for enum '`Session Status`'.
`EDataType` `getSessionStatusObject()` Returns the meta object for data type '`Session Status Object`'.
`EEnum` `getTextFormatType()` Returns the meta object for enum '`Text Format Type`'.
`EDataType` `getTextFormatTypeObject()` Returns the meta object for data type '`Text Format Type Object`'.
`EEnum` `getTextWrapType()` Returns the meta object for enum '`Text Wrap Type`'.
`EDataType` `getTextWrapTypeObject()` Returns the meta object for data type '`Text Wrap Type Object`'.
`EAttribute` `getValueFormatHints_DisplayFormat()` Returns the meta object for the attribute '`Display Format`'.
`EAttribute` `getValueFormatHints_DisplaySize()` Returns the meta object for the attribute '`Display Size`'.
`EAttribute` `getValueFormatHints_HorizontalAlignment()` Returns the meta object for the attribute '`Horizontal Alignment`'.
`EAttribute` `getValueFormatHints_TextFormatType()` Returns the meta object for the attribute '`Text Format Type`'.
`EAttribute` `getValueFormatHints_TextWrapType()` Returns the meta object for the attribute '`Text Wrap Type`'.
`EClass` `getValueFormatHints()` Returns the meta object for class '`Value Format Hints`'.

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final DesignPackage eINSTANCE

  The singleton instance of the package.

### AXIS_ATTRIBUTES

    static final int AXIS_ATTRIBUTES

  The meta object id for the '`Axis Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.AxisAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisAttributes()`, Constant Field Values

### AXIS_ATTRIBUTES__AXIS_TYPE

    static final int AXIS_ATTRIBUTES__AXIS_TYPE

  The feature id for the 'Axis Type' attribute.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

    static final int AXIS_ATTRIBUTES__ON_COLUMN_LAYOUT

  The feature id for the 'On Column Layout' attribute.

  See Also:
    Constant Field Values

### AXIS_ATTRIBUTES_FEATURE_COUNT

    static final int AXIS_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Axis Attributes' class.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION

    static final int COLUMN_DEFINITION

  The meta object id for the '`Column Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ColumnDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getColumnDefinition()`, Constant Field Values

### COLUMN_DEFINITION__ATTRIBUTES

    static final int COLUMN_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__USAGE_HINTS

    static final int COLUMN_DEFINITION__USAGE_HINTS

  The feature id for the 'Usage Hints' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

    static final int COLUMN_DEFINITION__MULTI_DIMENSION_ATTRIBUTES

  The feature id for the 'Multi Dimension Attributes' containment reference.

  See Also:
    Constant Field Values

### COLUMN_DEFINITION_FEATURE_COUNT

    static final int COLUMN_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Column Definition' class.

  See Also:
    Constant Field Values

### DATA_ACCESS_DESIGN

    static final int DATA_ACCESS_DESIGN

  The meta object id for the '`Data Access Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataAccessDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataAccessDesign()`, Constant Field Values

### DATA_ACCESS_DESIGN__DATA_SET_DESIGN

    static final int DATA_ACCESS_DESIGN__DATA_SET_DESIGN

  The feature id for the 'Data Set Design' containment reference.

  See Also:
    Constant Field Values

### DATA_ACCESS_DESIGN_FEATURE_COUNT

    static final int DATA_ACCESS_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Access Design' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES

    static final int DATA_ELEMENT_ATTRIBUTES

  The meta object id for the '`Data Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataElementAttributes()`, Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NAME

    static final int DATA_ELEMENT_ATTRIBUTES__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__POSITION

    static final int DATA_ELEMENT_ATTRIBUTES__POSITION

  The feature id for the 'Position' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

    static final int DATA_ELEMENT_ATTRIBUTES__NATIVE_DATA_TYPE_CODE

  The feature id for the 'Native Data Type Code' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__PRECISION

    static final int DATA_ELEMENT_ATTRIBUTES__PRECISION

  The feature id for the 'Precision' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__SCALE

    static final int DATA_ELEMENT_ATTRIBUTES__SCALE

  The feature id for the 'Scale' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__NULLABILITY

    static final int DATA_ELEMENT_ATTRIBUTES__NULLABILITY

  The feature id for the 'Nullability' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES__UI_HINTS

    static final int DATA_ELEMENT_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int DATA_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Data Element Attributes' class.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS

    static final int DATA_ELEMENT_UI_HINTS

  The meta object id for the '`Data Element UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataElementUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataElementUIHints()`, Constant Field Values

### DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

    static final int DATA_ELEMENT_UI_HINTS__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS__DESCRIPTION

    static final int DATA_ELEMENT_UI_HINTS__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### DATA_ELEMENT_UI_HINTS_FEATURE_COUNT

    static final int DATA_ELEMENT_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Data Element UI Hints' class.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN

    static final int DATA_SET_DESIGN

  The meta object id for the '`Data Set Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetDesign()`, Constant Field Values

### DATA_SET_DESIGN__NAME

    static final int DATA_SET_DESIGN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

    static final int DATA_SET_DESIGN__ODA_EXTENSION_DATA_SET_ID

  The feature id for the 'Oda Extension Data Set Id' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__DATA_SOURCE_DESIGN

    static final int DATA_SET_DESIGN__DATA_SOURCE_DESIGN

  The feature id for the 'Data Source Design' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__QUERY

    static final int DATA_SET_DESIGN__QUERY

  The feature id for the 'Query' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__DISPLAY_NAME

    static final int DATA_SET_DESIGN__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PUBLIC_PROPERTIES

    static final int DATA_SET_DESIGN__PUBLIC_PROPERTIES

  The feature id for the 'Public Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PRIVATE_PROPERTIES

    static final int DATA_SET_DESIGN__PRIVATE_PROPERTIES

  The feature id for the 'Private Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__RESULT_SETS

    static final int DATA_SET_DESIGN__RESULT_SETS

  The feature id for the 'Result Sets' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

    static final int DATA_SET_DESIGN__PRIMARY_RESULT_SET_NAME

  The feature id for the 'Primary Result Set Name' attribute.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN__PARAMETERS

    static final int DATA_SET_DESIGN__PARAMETERS

  The feature id for the 'Parameters' containment reference.

  See Also:
    Constant Field Values

### DATA_SET_DESIGN_FEATURE_COUNT

    static final int DATA_SET_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Set Design' class.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS

    static final int DATA_SET_PARAMETERS

  The meta object id for the '`Data Set Parameters`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetParametersImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetParameters()`, Constant Field Values

### DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

    static final int DATA_SET_PARAMETERS__PARAMETER_DEFINITIONS

  The feature id for the 'Parameter Definitions' containment reference list.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS__DERIVED_META_DATA

    static final int DATA_SET_PARAMETERS__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### DATA_SET_PARAMETERS_FEATURE_COUNT

    static final int DATA_SET_PARAMETERS_FEATURE_COUNT

  The number of structural features of the 'Data Set Parameters' class.

  See Also:
    Constant Field Values

### DATA_SET_QUERY

    static final int DATA_SET_QUERY

  The meta object id for the '`Data Set Query`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSetQueryImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSetQuery()`, Constant Field Values

### DATA_SET_QUERY__QUERY_TEXT

    static final int DATA_SET_QUERY__QUERY_TEXT

  The feature id for the 'Query Text' attribute.

  See Also:
    Constant Field Values

### DATA_SET_QUERY_FEATURE_COUNT

    static final int DATA_SET_QUERY_FEATURE_COUNT

  The number of structural features of the 'Data Set Query' class.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN

    static final int DATA_SOURCE_DESIGN

  The meta object id for the '`Data Source Design`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DataSourceDesignImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDataSourceDesign()`, Constant Field Values

### DATA_SOURCE_DESIGN__NAME

    static final int DATA_SOURCE_DESIGN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

    static final int DATA_SOURCE_DESIGN__ODA_EXTENSION_ID

  The feature id for the 'Oda Extension Id' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

    static final int DATA_SOURCE_DESIGN__ODA_EXTENSION_DATA_SOURCE_ID

  The feature id for the 'Oda Extension Data Source Id' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__DISPLAY_NAME

    static final int DATA_SOURCE_DESIGN__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

    static final int DATA_SOURCE_DESIGN__PUBLIC_PROPERTIES

  The feature id for the 'Public Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

    static final int DATA_SOURCE_DESIGN__PRIVATE_PROPERTIES

  The feature id for the 'Private Properties' containment reference.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

    static final int DATA_SOURCE_DESIGN__LINKED_PROFILE_NAME

  The feature id for the 'Linked Profile Name' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

    static final int DATA_SOURCE_DESIGN__LINKED_PROFILE_STORE_FILE_PATH

  The feature id for the 'Linked Profile Store File Path' attribute.

  See Also:
    Constant Field Values

### DATA_SOURCE_DESIGN_FEATURE_COUNT

    static final int DATA_SOURCE_DESIGN_FEATURE_COUNT

  The number of structural features of the 'Data Source Design' class.

  See Also:
    Constant Field Values

### DESIGNER_STATE

    static final int DESIGNER_STATE

  The meta object id for the '`Designer State`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignerStateImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignerState()`, Constant Field Values

### DESIGNER_STATE__VERSION

    static final int DESIGNER_STATE__VERSION

  The feature id for the 'Version' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE__STATE_CONTENT

    static final int DESIGNER_STATE__STATE_CONTENT

  The feature id for the 'State Content' containment reference.

  See Also:
    Constant Field Values

### DESIGNER_STATE_FEATURE_COUNT

    static final int DESIGNER_STATE_FEATURE_COUNT

  The number of structural features of the 'Designer State' class.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT

    static final int DESIGNER_STATE_CONTENT

  The meta object id for the '`Designer State Content`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignerStateContentImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignerStateContent()`, Constant Field Values

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

    static final int DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_STRING

  The feature id for the 'State Content As String' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

    static final int DESIGNER_STATE_CONTENT__STATE_CONTENT_AS_BLOB

  The feature id for the 'State Content As Blob' attribute.

  See Also:
    Constant Field Values

### DESIGNER_STATE_CONTENT_FEATURE_COUNT

    static final int DESIGNER_STATE_CONTENT_FEATURE_COUNT

  The number of structural features of the 'Designer State Content' class.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST

    static final int DESIGN_SESSION_REQUEST

  The meta object id for the '`Session Request`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignSessionRequestImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignSessionRequest()`, Constant Field Values

### DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

    static final int DESIGN_SESSION_REQUEST__DATA_ACCESS_DESIGN

  The feature id for the 'Data Access Design' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__EDITABLE

    static final int DESIGN_SESSION_REQUEST__EDITABLE

  The feature id for the 'Editable' attribute.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__SESSION_LOCALE

    static final int DESIGN_SESSION_REQUEST__SESSION_LOCALE

  The feature id for the 'Session Locale' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST__DESIGNER_STATE

    static final int DESIGN_SESSION_REQUEST__DESIGNER_STATE

  The feature id for the 'Designer State' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_REQUEST_FEATURE_COUNT

    static final int DESIGN_SESSION_REQUEST_FEATURE_COUNT

  The number of structural features of the 'Session Request' class.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE

    static final int DESIGN_SESSION_RESPONSE

  The meta object id for the '`Session Response`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignSessionResponseImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDesignSessionResponse()`, Constant Field Values

### DESIGN_SESSION_RESPONSE__SESSION_STATUS

    static final int DESIGN_SESSION_RESPONSE__SESSION_STATUS

  The feature id for the 'Session Status' attribute.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

    static final int DESIGN_SESSION_RESPONSE__DATA_ACCESS_DESIGN

  The feature id for the 'Data Access Design' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE__DESIGNER_STATE

    static final int DESIGN_SESSION_RESPONSE__DESIGNER_STATE

  The feature id for the 'Designer State' containment reference.

  See Also:
    Constant Field Values

### DESIGN_SESSION_RESPONSE_FEATURE_COUNT

    static final int DESIGN_SESSION_RESPONSE_FEATURE_COUNT

  The number of structural features of the 'Session Response' class.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT

    static final int DOCUMENT_ROOT

  The meta object id for the '`Document Root`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DocumentRootImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDocumentRoot()`, Constant Field Values

### DOCUMENT_ROOT__MIXED

    static final int DOCUMENT_ROOT__MIXED

  The feature id for the 'Mixed' attribute list.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XMLNS_PREFIX_MAP

    static final int DOCUMENT_ROOT__XMLNS_PREFIX_MAP

  The feature id for the 'XMLNS Prefix Map' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

    static final int DOCUMENT_ROOT__XSI_SCHEMA_LOCATION

  The feature id for the 'XSI Schema Location' map.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT__ODA_DESIGN_SESSION

    static final int DOCUMENT_ROOT__ODA_DESIGN_SESSION

  The feature id for the 'Oda Design Session' containment reference.

  See Also:
    Constant Field Values

### DOCUMENT_ROOT_FEATURE_COUNT

    static final int DOCUMENT_ROOT_FEATURE_COUNT

  The number of structural features of the 'Document Root' class.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY

    static final int DYNAMIC_VALUES_QUERY

  The meta object id for the '`Dynamic Values Query`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DynamicValuesQueryImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getDynamicValuesQuery()`, Constant Field Values

### DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

    static final int DYNAMIC_VALUES_QUERY__DATA_SET_DESIGN

  The feature id for the 'Data Set Design' containment reference.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__ENABLED

    static final int DYNAMIC_VALUES_QUERY__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__VALUE_COLUMN

    static final int DYNAMIC_VALUES_QUERY__VALUE_COLUMN

  The feature id for the 'Value Column' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

    static final int DYNAMIC_VALUES_QUERY__DISPLAY_NAME_COLUMN

  The feature id for the 'Display Name Column' attribute.

  See Also:
    Constant Field Values

### DYNAMIC_VALUES_QUERY_FEATURE_COUNT

    static final int DYNAMIC_VALUES_QUERY_FEATURE_COUNT

  The number of structural features of the 'Dynamic Values Query' class.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES

    static final int INPUT_ELEMENT_ATTRIBUTES

  The meta object id for the '`Input Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputElementAttributes()`, Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

    static final int INPUT_ELEMENT_ATTRIBUTES__DEFAULT_SCALAR_VALUE

  The feature id for the 'Default Scalar Value' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__EDITABLE

    static final int INPUT_ELEMENT_ATTRIBUTES__EDITABLE

  The feature id for the 'Editable' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

    static final int INPUT_ELEMENT_ATTRIBUTES__OPTIONAL

  The feature id for the 'Optional' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

    static final int INPUT_ELEMENT_ATTRIBUTES__MASKS_VALUE

  The feature id for the 'Masks Value' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

    static final int INPUT_ELEMENT_ATTRIBUTES__STATIC_VALUE_CHOICES

  The feature id for the 'Static Value Choices' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

    static final int INPUT_ELEMENT_ATTRIBUTES__DYNAMIC_VALUE_CHOICES

  The feature id for the 'Dynamic Value Choices' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

    static final int INPUT_ELEMENT_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int INPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Input Element Attributes' class.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_UI_HINTS

    static final int INPUT_ELEMENT_UI_HINTS

  The meta object id for the '`Input Element UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputElementUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputElementUIHints()`, Constant Field Values

### INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

    static final int INPUT_ELEMENT_UI_HINTS__PROMPT_STYLE

  The feature id for the 'Prompt Style' attribute.

  See Also:
    Constant Field Values

### INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT

    static final int INPUT_ELEMENT_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Input Element UI Hints' class.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES

    static final int INPUT_PARAMETER_ATTRIBUTES

  The meta object id for the '`Input Parameter Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputParameterAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputParameterAttributes()`, Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final int INPUT_PARAMETER_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The feature id for the 'Element Attributes' containment reference.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

    static final int INPUT_PARAMETER_ATTRIBUTES__UI_HINTS

  The feature id for the 'Ui Hints' containment reference.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT

    static final int INPUT_PARAMETER_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Input Parameter Attributes' class.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_UI_HINTS

    static final int INPUT_PARAMETER_UI_HINTS

  The meta object id for the '`Input Parameter UI Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.InputParameterUIHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputParameterUIHints()`, Constant Field Values

### INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

    static final int INPUT_PARAMETER_UI_HINTS__GROUP_PROMPT_DISPLAY_NAME

  The feature id for the 'Group Prompt Display Name' attribute.

  See Also:
    Constant Field Values

### INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT

    static final int INPUT_PARAMETER_UI_HINTS_FEATURE_COUNT

  The number of structural features of the 'Input Parameter UI Hints' class.

  See Also:
    Constant Field Values

### LOCALE

    static final int LOCALE

  The meta object id for the '`Locale`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.LocaleImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getLocale()`, Constant Field Values

### LOCALE__LANGUAGE

    static final int LOCALE__LANGUAGE

  The feature id for the 'Language' attribute.

  See Also:
    Constant Field Values

### LOCALE__COUNTRY

    static final int LOCALE__COUNTRY

  The feature id for the 'Country' attribute.

  See Also:
    Constant Field Values

### LOCALE__VARIANT

    static final int LOCALE__VARIANT

  The feature id for the 'Variant' attribute.

  See Also:
    Constant Field Values

### LOCALE_FEATURE_COUNT

    static final int LOCALE_FEATURE_COUNT

  The number of structural features of the 'Locale' class.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR

    static final int NAME_VALUE_PAIR

  The meta object id for the '`Name Value Pair`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.NameValuePairImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNameValuePair()`, Constant Field Values

### NAME_VALUE_PAIR__NAME

    static final int NAME_VALUE_PAIR__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR__VALUE

    static final int NAME_VALUE_PAIR__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### NAME_VALUE_PAIR_FEATURE_COUNT

    static final int NAME_VALUE_PAIR_FEATURE_COUNT

  The number of structural features of the 'Name Value Pair' class.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION

    static final int ODA_DESIGN_SESSION

  The meta object id for the '`Oda Design Session`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.OdaDesignSessionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaDesignSession()`, Constant Field Values

### ODA_DESIGN_SESSION__REQUEST

    static final int ODA_DESIGN_SESSION__REQUEST

  The feature id for the 'Request' containment reference.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION__RESPONSE

    static final int ODA_DESIGN_SESSION__RESPONSE

  The feature id for the 'Response' containment reference.

  See Also:
    Constant Field Values

### ODA_DESIGN_SESSION_FEATURE_COUNT

    static final int ODA_DESIGN_SESSION_FEATURE_COUNT

  The number of structural features of the 'Oda Design Session' class.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES

    static final int OUTPUT_ELEMENT_ATTRIBUTES

  The meta object id for the '`Output Element Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.OutputElementAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOutputElementAttributes()`, Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__LABEL

    static final int OUTPUT_ELEMENT_ATTRIBUTES__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

    static final int OUTPUT_ELEMENT_ATTRIBUTES__FORMATTING_HINTS

  The feature id for the 'Formatting Hints' containment reference.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

    static final int OUTPUT_ELEMENT_ATTRIBUTES__HELP_TEXT

  The feature id for the 'Help Text' attribute.

  See Also:
    Constant Field Values

### OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

    static final int OUTPUT_ELEMENT_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Output Element Attributes' class.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION

    static final int PARAMETER_DEFINITION

  The meta object id for the '`Parameter Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterDefinition()`, Constant Field Values

### PARAMETER_DEFINITION__IN_OUT_MODE

    static final int PARAMETER_DEFINITION__IN_OUT_MODE

  The feature id for the 'In Out Mode' attribute.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__ATTRIBUTES

    static final int PARAMETER_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__INPUT_ATTRIBUTES

    static final int PARAMETER_DEFINITION__INPUT_ATTRIBUTES

  The feature id for the 'Input Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

    static final int PARAMETER_DEFINITION__OUTPUT_USAGE_HINTS

  The feature id for the 'Output Usage Hints' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION__FIELDS

    static final int PARAMETER_DEFINITION__FIELDS

  The feature id for the 'Fields' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_DEFINITION_FEATURE_COUNT

    static final int PARAMETER_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Parameter Definition' class.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION

    static final int PARAMETER_FIELD_DEFINITION

  The meta object id for the '`Parameter Field Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterFieldDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterFieldDefinition()`, Constant Field Values

### PARAMETER_FIELD_DEFINITION__ATTRIBUTES

    static final int PARAMETER_FIELD_DEFINITION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

    static final int PARAMETER_FIELD_DEFINITION__INPUT_ATTRIBUTES

  The feature id for the 'Input Attributes' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

    static final int PARAMETER_FIELD_DEFINITION__OUTPUT_USAGE_HINTS

  The feature id for the 'Output Usage Hints' containment reference.

  See Also:
    Constant Field Values

### PARAMETER_FIELD_DEFINITION_FEATURE_COUNT

    static final int PARAMETER_FIELD_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Parameter Field Definition' class.

  See Also:
    Constant Field Values

### PARAMETER_FIELDS

    static final int PARAMETER_FIELDS

  The meta object id for the '`Parameter Fields`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ParameterFieldsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterFields()`, Constant Field Values

### PARAMETER_FIELDS__FIELD_COLLECTION

    static final int PARAMETER_FIELDS__FIELD_COLLECTION

  The feature id for the 'Field Collection' containment reference list.

  See Also:
    Constant Field Values

### PARAMETER_FIELDS_FEATURE_COUNT

    static final int PARAMETER_FIELDS_FEATURE_COUNT

  The number of structural features of the 'Parameter Fields' class.

  See Also:
    Constant Field Values

### PROPERTIES

    static final int PROPERTIES

  The meta object id for the '`Properties`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertiesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getProperties()`, Constant Field Values

### PROPERTIES__PROPERTIES

    static final int PROPERTIES__PROPERTIES

  The feature id for the 'Properties' containment reference list.

  See Also:
    Constant Field Values

### PROPERTIES_FEATURE_COUNT

    static final int PROPERTIES_FEATURE_COUNT

  The number of structural features of the 'Properties' class.

  See Also:
    Constant Field Values

### PROPERTY

    static final int PROPERTY

  The meta object id for the '`Property`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertyImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getProperty()`, Constant Field Values

### PROPERTY__NAME_VALUE

    static final int PROPERTY__NAME_VALUE

  The feature id for the 'Name Value' containment reference.

  See Also:
    Constant Field Values

### PROPERTY__DESIGN_ATTRIBUTES

    static final int PROPERTY__DESIGN_ATTRIBUTES

  The feature id for the 'Design Attributes' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_FEATURE_COUNT

    static final int PROPERTY_FEATURE_COUNT

  The number of structural features of the 'Property' class.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES

    static final int PROPERTY_ATTRIBUTES

  The meta object id for the '`Property Attributes`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.PropertyAttributesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getPropertyAttributes()`, Constant Field Values

### PROPERTY_ATTRIBUTES__DISPLAY_NAME

    static final int PROPERTY_ATTRIBUTES__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

    static final int PROPERTY_ATTRIBUTES__ELEMENT_ATTRIBUTES

  The feature id for the 'Element Attributes' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES__DERIVED_META_DATA

    static final int PROPERTY_ATTRIBUTES__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### PROPERTY_ATTRIBUTES_FEATURE_COUNT

    static final int PROPERTY_ATTRIBUTES_FEATURE_COUNT

  The number of structural features of the 'Property Attributes' class.

  See Also:
    Constant Field Values

### RESULT_SET_COLUMNS

    static final int RESULT_SET_COLUMNS

  The meta object id for the '`Result Set Columns`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetColumnsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSetColumns()`, Constant Field Values

### RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

    static final int RESULT_SET_COLUMNS__RESULT_COLUMN_DEFINITIONS

  The feature id for the 'Result Column Definitions' containment reference list.

  See Also:
    Constant Field Values

### RESULT_SET_COLUMNS_FEATURE_COUNT

    static final int RESULT_SET_COLUMNS_FEATURE_COUNT

  The number of structural features of the 'Result Set Columns' class.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION

    static final int RESULT_SET_DEFINITION

  The meta object id for the '`Result Set Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSetDefinition()`, Constant Field Values

### RESULT_SET_DEFINITION__NAME

    static final int RESULT_SET_DEFINITION__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

    static final int RESULT_SET_DEFINITION__RESULT_SET_COLUMNS

  The feature id for the 'Result Set Columns' containment reference.

  See Also:
    Constant Field Values

### RESULT_SET_DEFINITION_FEATURE_COUNT

    static final int RESULT_SET_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Result Set Definition' class.

  See Also:
    Constant Field Values

### RESULT_SETS

    static final int RESULT_SETS

  The meta object id for the '`Result Sets`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ResultSetsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getResultSets()`, Constant Field Values

### RESULT_SETS__RESULT_SET_DEFINITIONS

    static final int RESULT_SETS__RESULT_SET_DEFINITIONS

  The feature id for the 'Result Set Definitions' containment reference list.

  See Also:
    Constant Field Values

### RESULT_SETS__DERIVED_META_DATA

    static final int RESULT_SETS__DERIVED_META_DATA

  The feature id for the 'Derived Meta Data' attribute.

  See Also:
    Constant Field Values

### RESULT_SETS_FEATURE_COUNT

    static final int RESULT_SETS_FEATURE_COUNT

  The number of structural features of the 'Result Sets' class.

  See Also:
    Constant Field Values

### SCALAR_VALUE_CHOICES

    static final int SCALAR_VALUE_CHOICES

  The meta object id for the '`Scalar Value Choices`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ScalarValueChoicesImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getScalarValueChoices()`, Constant Field Values

### SCALAR_VALUE_CHOICES__SCALAR_VALUES

    static final int SCALAR_VALUE_CHOICES__SCALAR_VALUES

  The feature id for the 'Scalar Values' containment reference list.

  See Also:
    Constant Field Values

### SCALAR_VALUE_CHOICES_FEATURE_COUNT

    static final int SCALAR_VALUE_CHOICES_FEATURE_COUNT

  The number of structural features of the 'Scalar Value Choices' class.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION

    static final int SCALAR_VALUE_DEFINITION

  The meta object id for the '`Scalar Value Definition`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ScalarValueDefinitionImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getScalarValueDefinition()`, Constant Field Values

### SCALAR_VALUE_DEFINITION__VALUE

    static final int SCALAR_VALUE_DEFINITION__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION__DISPLAY_NAME

    static final int SCALAR_VALUE_DEFINITION__DISPLAY_NAME

  The feature id for the 'Display Name' attribute.

  See Also:
    Constant Field Values

### SCALAR_VALUE_DEFINITION_FEATURE_COUNT

    static final int SCALAR_VALUE_DEFINITION_FEATURE_COUNT

  The number of structural features of the 'Scalar Value Definition' class.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS

    static final int VALUE_FORMAT_HINTS

  The meta object id for the '`Value Format Hints`' class.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.ValueFormatHintsImpl`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getValueFormatHints()`, Constant Field Values

### VALUE_FORMAT_HINTS__DISPLAY_SIZE

    static final int VALUE_FORMAT_HINTS__DISPLAY_SIZE

  The feature id for the 'Display Size' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__DISPLAY_FORMAT

    static final int VALUE_FORMAT_HINTS__DISPLAY_FORMAT

  The feature id for the 'Display Format' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

    static final int VALUE_FORMAT_HINTS__TEXT_FORMAT_TYPE

  The feature id for the 'Text Format Type' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

    static final int VALUE_FORMAT_HINTS__HORIZONTAL_ALIGNMENT

  The feature id for the 'Horizontal Alignment' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

    static final int VALUE_FORMAT_HINTS__TEXT_WRAP_TYPE

  The feature id for the 'Text Wrap Type' attribute.

  See Also:
    Constant Field Values

### VALUE_FORMAT_HINTS_FEATURE_COUNT

    static final int VALUE_FORMAT_HINTS_FEATURE_COUNT

  The number of structural features of the 'Value Format Hints' class.

  See Also:
    Constant Field Values

### AXIS_TYPE

    static final int AXIS_TYPE

  The meta object id for the '`Axis Type`' enum.

  See Also:
    `AxisType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisType()`, Constant Field Values

### ELEMENT_NULLABILITY

    static final int ELEMENT_NULLABILITY

  The meta object id for the '`Element Nullability`' enum.

  See Also:
    `ElementNullability`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getElementNullability()`, Constant Field Values

### HORIZONTAL_ALIGNMENT

    static final int HORIZONTAL_ALIGNMENT

  The meta object id for the '`Horizontal Alignment`' enum.

  See Also:
    `HorizontalAlignment`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getHorizontalAlignment()`, Constant Field Values

### INPUT_PROMPT_CONTROL_STYLE

    static final int INPUT_PROMPT_CONTROL_STYLE

  The meta object id for the '`Input Prompt Control Style`' enum.

  See Also:
    `InputPromptControlStyle`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputPromptControlStyle()`, Constant Field Values

### ODA_COMPLEX_DATA_TYPE

    static final int ODA_COMPLEX_DATA_TYPE

  The meta object id for the '`Oda Complex Data Type`' enum.

  See Also:
    `OdaComplexDataType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaComplexDataType()`, Constant Field Values

### ODA_SCALAR_DATA_TYPE

    static final int ODA_SCALAR_DATA_TYPE

  The meta object id for the '`Oda Scalar Data Type`' enum.

  See Also:
    `OdaScalarDataType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaScalarDataType()`, Constant Field Values

### PARAMETER_MODE

    static final int PARAMETER_MODE

  The meta object id for the '`Parameter Mode`' enum.

  See Also:
    `ParameterMode`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterMode()`, Constant Field Values

### SESSION_STATUS

    static final int SESSION_STATUS

  The meta object id for the '`Session Status`' enum.

  See Also:
    `SessionStatus`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getSessionStatus()`, Constant Field Values

### TEXT_FORMAT_TYPE

    static final int TEXT_FORMAT_TYPE

  The meta object id for the '`Text Format Type`' enum.

  See Also:
    `TextFormatType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextFormatType()`, Constant Field Values

### TEXT_WRAP_TYPE

    static final int TEXT_WRAP_TYPE

  The meta object id for the '`Text Wrap Type`' enum.

  See Also:
    `TextWrapType`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextWrapType()`, Constant Field Values

### AXIS_TYPE_OBJECT

    static final int AXIS_TYPE_OBJECT

  The meta object id for the 'Axis Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getAxisTypeObject()`, Constant Field Values

### ELEMENT_NULLABILITY_OBJECT

    static final int ELEMENT_NULLABILITY_OBJECT

  The meta object id for the 'Element Nullability Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getElementNullabilityObject()`, Constant Field Values

### HORIZONTAL_ALIGNMENT_OBJECT

    static final int HORIZONTAL_ALIGNMENT_OBJECT

  The meta object id for the 'Horizontal Alignment Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getHorizontalAlignmentObject()`, Constant Field Values

### INPUT_PROMPT_CONTROL_STYLE_OBJECT

    static final int INPUT_PROMPT_CONTROL_STYLE_OBJECT

  The meta object id for the 'Input Prompt Control Style Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getInputPromptControlStyleObject()`, Constant Field Values

### NATIVE_DATA_TYPE_CODE

    static final int NATIVE_DATA_TYPE_CODE

  The meta object id for the 'Native Data Type Code' data type.

  See Also:
    `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNativeDataTypeCode()`, Constant Field Values

### NATIVE_DATA_TYPE_CODE_OBJECT

    static final int NATIVE_DATA_TYPE_CODE_OBJECT

  The meta object id for the 'Native Data Type Code Object' data type.

  See Also:
    `Integer`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getNativeDataTypeCodeObject()`, Constant Field Values

### ODA_COMPLEX_DATA_TYPE_OBJECT

    static final int ODA_COMPLEX_DATA_TYPE_OBJECT

  The meta object id for the 'Oda Complex Data Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaComplexDataTypeObject()`, Constant Field Values

### ODA_SCALAR_DATA_TYPE_OBJECT

    static final int ODA_SCALAR_DATA_TYPE_OBJECT

  The meta object id for the 'Oda Scalar Data Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getOdaScalarDataTypeObject()`, Constant Field Values

### PARAMETER_MODE_OBJECT

    static final int PARAMETER_MODE_OBJECT

  The meta object id for the 'Parameter Mode Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getParameterModeObject()`, Constant Field Values

### SESSION_STATUS_OBJECT

    static final int SESSION_STATUS_OBJECT

  The meta object id for the 'Session Status Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getSessionStatusObject()`, Constant Field Values

### TEXT_FORMAT_TYPE_OBJECT

    static final int TEXT_FORMAT_TYPE_OBJECT

  The meta object id for the 'Text Format Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextFormatTypeObject()`, Constant Field Values

### TEXT_WRAP_TYPE_OBJECT

    static final int TEXT_WRAP_TYPE_OBJECT

  The meta object id for the 'Text Wrap Type Object' data type.

  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`, `org.eclipse.datatools.connectivity.oda.design.impl.DesignPackageImpl#getTextWrapTypeObject()`, Constant Field Values

Method Detail

### getAxisAttributes

    EClass getAxisAttributes()

  Returns the meta object for class '`Axis Attributes`'.

  Returns:
    the meta object for class 'Axis Attributes'.
  See Also:
    `AxisAttributes`

### getAxisAttributes_AxisType

    EAttribute getAxisAttributes_AxisType()

  Returns the meta object for the attribute '`Axis Type`'.

  Returns:
    the meta object for the attribute 'Axis Type'.
  See Also:
    `AxisAttributes.getAxisType()`, `getAxisAttributes()`

### getAxisAttributes_OnColumnLayout

    EAttribute getAxisAttributes_OnColumnLayout()

  Returns the meta object for the attribute '`On Column Layout`'.

  Returns:
    the meta object for the attribute 'On Column Layout'.
  See Also:
    `AxisAttributes.isOnColumnLayout()`, `getAxisAttributes()`

### getColumnDefinition

    EClass getColumnDefinition()

  Returns the meta object for class '`Column Definition`'.

  Returns:
    the meta object for class 'Column Definition'.
  See Also:
    `ColumnDefinition`

### getColumnDefinition_Attributes

    EReference getColumnDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ColumnDefinition.getAttributes()`, `getColumnDefinition()`

### getColumnDefinition_UsageHints

    EReference getColumnDefinition_UsageHints()

  Returns the meta object for the containment reference '`Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Usage Hints'.
  See Also:
    `ColumnDefinition.getUsageHints()`, `getColumnDefinition()`

### getColumnDefinition_MultiDimensionAttributes

    EReference getColumnDefinition_MultiDimensionAttributes()

  Returns the meta object for the containment reference '`Multi Dimension Attributes`'.

  Returns:
    the meta object for the containment reference 'Multi Dimension Attributes'.
  See Also:
    `ColumnDefinition.getMultiDimensionAttributes()`, `getColumnDefinition()`

### getDataAccessDesign

    EClass getDataAccessDesign()

  Returns the meta object for class '`Data Access Design`'.

  Returns:
    the meta object for class 'Data Access Design'.
  See Also:
    `DataAccessDesign`

### getDataAccessDesign_DataSetDesign

    EReference getDataAccessDesign_DataSetDesign()

  Returns the meta object for the containment reference '`Data Set Design`'.

  Returns:
    the meta object for the containment reference 'Data Set Design'.
  See Also:
    `DataAccessDesign.getDataSetDesign()`, `getDataAccessDesign()`

### getDataElementAttributes

    EClass getDataElementAttributes()

  Returns the meta object for class '`Data Element Attributes`'.

  Returns:
    the meta object for class 'Data Element Attributes'.
  See Also:
    `DataElementAttributes`

### getDataElementAttributes_Name

    EAttribute getDataElementAttributes_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataElementAttributes.getName()`, `getDataElementAttributes()`

### getDataElementAttributes_Position

    EAttribute getDataElementAttributes_Position()

  Returns the meta object for the attribute '`Position`'.

  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `DataElementAttributes.getPosition()`, `getDataElementAttributes()`

### getDataElementAttributes_NativeDataTypeCode

    EAttribute getDataElementAttributes_NativeDataTypeCode()

  Returns the meta object for the attribute '`Native Data Type Code`'.

  Returns:
    the meta object for the attribute 'Native Data Type Code'.
  See Also:
    `DataElementAttributes.getNativeDataTypeCode()`, `getDataElementAttributes()`

### getDataElementAttributes_Precision

    EAttribute getDataElementAttributes_Precision()

  Returns the meta object for the attribute '`Precision`'.

  Returns:
    the meta object for the attribute 'Precision'.
  See Also:
    `DataElementAttributes.getPrecision()`, `getDataElementAttributes()`

### getDataElementAttributes_Scale

    EAttribute getDataElementAttributes_Scale()

  Returns the meta object for the attribute '`Scale`'.

  Returns:
    the meta object for the attribute 'Scale'.
  See Also:
    `DataElementAttributes.getScale()`, `getDataElementAttributes()`

### getDataElementAttributes_Nullability

    EAttribute getDataElementAttributes_Nullability()

  Returns the meta object for the attribute '`Nullability`'.

  Returns:
    the meta object for the attribute 'Nullability'.
  See Also:
    `DataElementAttributes.getNullability()`, `getDataElementAttributes()`

### getDataElementAttributes_UiHints

    EReference getDataElementAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `DataElementAttributes.getUiHints()`, `getDataElementAttributes()`

### getDataElementUIHints

    EClass getDataElementUIHints()

  Returns the meta object for class '`Data Element UI Hints`'.

  Returns:
    the meta object for class 'Data Element UI Hints'.
  See Also:
    `DataElementUIHints`

### getDataElementUIHints_DisplayName

    EAttribute getDataElementUIHints_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataElementUIHints.getDisplayName()`, `getDataElementUIHints()`

### getDataElementUIHints_Description

    EAttribute getDataElementUIHints_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DataElementUIHints.getDescription()`, `getDataElementUIHints()`

### getDataSetDesign

    EClass getDataSetDesign()

  Returns the meta object for class '`Data Set Design`'.

  Returns:
    the meta object for class 'Data Set Design'.
  See Also:
    `DataSetDesign`

### getDataSetDesign_Name

    EAttribute getDataSetDesign_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataSetDesign.getName()`, `getDataSetDesign()`

### getDataSetDesign_OdaExtensionDataSetId

    EAttribute getDataSetDesign_OdaExtensionDataSetId()

  Returns the meta object for the attribute '`Oda Extension Data Set Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Data Set Id'.
  See Also:
    `DataSetDesign.getOdaExtensionDataSetId()`, `getDataSetDesign()`

### getDataSetDesign_DataSourceDesign

    EReference getDataSetDesign_DataSourceDesign()

  Returns the meta object for the containment reference '`Data Source Design`'.

  Returns:
    the meta object for the containment reference 'Data Source Design'.
  See Also:
    `DataSetDesign.getDataSourceDesign()`, `getDataSetDesign()`

### getDataSetDesign_Query

    EReference getDataSetDesign_Query()

  Returns the meta object for the containment reference '`Query`'.

  Returns:
    the meta object for the containment reference 'Query'.
  See Also:
    `DataSetDesign.getQuery()`, `getDataSetDesign()`

### getDataSetDesign_DisplayName

    EAttribute getDataSetDesign_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataSetDesign.getDisplayName()`, `getDataSetDesign()`

### getDataSetDesign_PublicProperties

    EReference getDataSetDesign_PublicProperties()

  Returns the meta object for the containment reference '`Public Properties`'.

  Returns:
    the meta object for the containment reference 'Public Properties'.
  See Also:
    `DataSetDesign.getPublicProperties()`, `getDataSetDesign()`

### getDataSetDesign_PrivateProperties

    EReference getDataSetDesign_PrivateProperties()

  Returns the meta object for the containment reference '`Private Properties`'.

  Returns:
    the meta object for the containment reference 'Private Properties'.
  See Also:
    `DataSetDesign.getPrivateProperties()`, `getDataSetDesign()`

### getDataSetDesign_ResultSets

    EReference getDataSetDesign_ResultSets()

  Returns the meta object for the containment reference '`Result Sets`'.

  Returns:
    the meta object for the containment reference 'Result Sets'.
  See Also:
    `DataSetDesign.getResultSets()`, `getDataSetDesign()`

### getDataSetDesign_PrimaryResultSetName

    EAttribute getDataSetDesign_PrimaryResultSetName()

  Returns the meta object for the attribute '`Primary Result Set Name`'.

  Returns:
    the meta object for the attribute 'Primary Result Set Name'.
  See Also:
    `DataSetDesign.getPrimaryResultSetName()`, `getDataSetDesign()`

### getDataSetDesign_Parameters

    EReference getDataSetDesign_Parameters()

  Returns the meta object for the containment reference '`Parameters`'.

  Returns:
    the meta object for the containment reference 'Parameters'.
  See Also:
    `DataSetDesign.getParameters()`, `getDataSetDesign()`

### getDataSetParameters

    EClass getDataSetParameters()

  Returns the meta object for class '`Data Set Parameters`'.

  Returns:
    the meta object for class 'Data Set Parameters'.
  See Also:
    `DataSetParameters`

### getDataSetParameters_ParameterDefinitions

    EReference getDataSetParameters_ParameterDefinitions()

  Returns the meta object for the containment reference list '`Parameter Definitions`'.

  Returns:
    the meta object for the containment reference list 'Parameter Definitions'.
  See Also:
    `DataSetParameters.getParameterDefinitions()`, `getDataSetParameters()`

### getDataSetParameters_DerivedMetaData

    EAttribute getDataSetParameters_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `DataSetParameters.isDerivedMetaData()`, `getDataSetParameters()`

### getDataSetQuery

    EClass getDataSetQuery()

  Returns the meta object for class '`Data Set Query`'.

  Returns:
    the meta object for class 'Data Set Query'.
  See Also:
    `DataSetQuery`

### getDataSetQuery_QueryText

    EAttribute getDataSetQuery_QueryText()

  Returns the meta object for the attribute '`Query Text`'.

  Returns:
    the meta object for the attribute 'Query Text'.
  See Also:
    `DataSetQuery.getQueryText()`, `getDataSetQuery()`

### getDataSourceDesign

    EClass getDataSourceDesign()

  Returns the meta object for class '`Data Source Design`'.

  Returns:
    the meta object for class 'Data Source Design'.
  See Also:
    `DataSourceDesign`

### getDataSourceDesign_Name

    EAttribute getDataSourceDesign_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `DataSourceDesign.getName()`, `getDataSourceDesign()`

### getDataSourceDesign_OdaExtensionId

    EAttribute getDataSourceDesign_OdaExtensionId()

  Returns the meta object for the attribute '`Oda Extension Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Id'.
  See Also:
    `DataSourceDesign.getOdaExtensionId()`, `getDataSourceDesign()`

### getDataSourceDesign_OdaExtensionDataSourceId

    EAttribute getDataSourceDesign_OdaExtensionDataSourceId()

  Returns the meta object for the attribute '`Oda Extension Data Source Id`'.

  Returns:
    the meta object for the attribute 'Oda Extension Data Source Id'.
  See Also:
    `DataSourceDesign.getOdaExtensionDataSourceId()`, `getDataSourceDesign()`

### getDataSourceDesign_DisplayName

    EAttribute getDataSourceDesign_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `DataSourceDesign.getDisplayName()`, `getDataSourceDesign()`

### getDataSourceDesign_PublicProperties

    EReference getDataSourceDesign_PublicProperties()

  Returns the meta object for the containment reference '`Public Properties`'.

  Returns:
    the meta object for the containment reference 'Public Properties'.
  See Also:
    `DataSourceDesign.getPublicProperties()`, `getDataSourceDesign()`

### getDataSourceDesign_PrivateProperties

    EReference getDataSourceDesign_PrivateProperties()

  Returns the meta object for the containment reference '`Private Properties`'.

  Returns:
    the meta object for the containment reference 'Private Properties'.
  See Also:
    `DataSourceDesign.getPrivateProperties()`, `getDataSourceDesign()`

### getDataSourceDesign_LinkedProfileName

    EAttribute getDataSourceDesign_LinkedProfileName()

  Returns the meta object for the attribute '`Linked Profile Name`'.

  Returns:
    the meta object for the attribute 'Linked Profile Name'.
  See Also:
    `DataSourceDesign.getLinkedProfileName()`, `getDataSourceDesign()`

### getDataSourceDesign_LinkedProfileStoreFilePath

    EAttribute getDataSourceDesign_LinkedProfileStoreFilePath()

  Returns the meta object for the attribute '`Linked Profile Store File Path`'.

  Returns:
    the meta object for the attribute 'Linked Profile Store File Path'.
  See Also:
    `DataSourceDesign.getLinkedProfileStoreFilePath()`, `getDataSourceDesign()`

### getDesignerState

    EClass getDesignerState()

  Returns the meta object for class '`Designer State`'.

  Returns:
    the meta object for class 'Designer State'.
  See Also:
    `DesignerState`

### getDesignerState_Version

    EAttribute getDesignerState_Version()

  Returns the meta object for the attribute '`Version`'.

  Returns:
    the meta object for the attribute 'Version'.
  See Also:
    `DesignerState.getVersion()`, `getDesignerState()`

### getDesignerState_StateContent

    EReference getDesignerState_StateContent()

  Returns the meta object for the containment reference '`State Content`'.

  Returns:
    the meta object for the containment reference 'State Content'.
  See Also:
    `DesignerState.getStateContent()`, `getDesignerState()`

### getDesignerStateContent

    EClass getDesignerStateContent()

  Returns the meta object for class '`Designer State Content`'.

  Returns:
    the meta object for class 'Designer State Content'.
  See Also:
    `DesignerStateContent`

### getDesignerStateContent_StateContentAsString

    EAttribute getDesignerStateContent_StateContentAsString()

  Returns the meta object for the attribute '`State Content As String`'.

  Returns:
    the meta object for the attribute 'State Content As String'.
  See Also:
    `DesignerStateContent.getStateContentAsString()`, `getDesignerStateContent()`

### getDesignerStateContent_StateContentAsBlob

    EAttribute getDesignerStateContent_StateContentAsBlob()

  Returns the meta object for the attribute '`State Content As Blob`'.

  Returns:
    the meta object for the attribute 'State Content As Blob'.
  See Also:
    `DesignerStateContent.getStateContentAsBlob()`, `getDesignerStateContent()`

### getDesignSessionRequest

    EClass getDesignSessionRequest()

  Returns the meta object for class '`Session Request`'.

  Returns:
    the meta object for class 'Session Request'.
  See Also:
    `DesignSessionRequest`

### getDesignSessionRequest_DataAccessDesign

    EReference getDesignSessionRequest_DataAccessDesign()

  Returns the meta object for the containment reference '`Data Access Design`'.

  Returns:
    the meta object for the containment reference 'Data Access Design'.
  See Also:
    `DesignSessionRequest.getDataAccessDesign()`, `getDesignSessionRequest()`

### getDesignSessionRequest_Editable

    EAttribute getDesignSessionRequest_Editable()

  Returns the meta object for the attribute '`Editable`'.

  Returns:
    the meta object for the attribute 'Editable'.
  See Also:
    `DesignSessionRequest.isEditable()`, `getDesignSessionRequest()`

### getDesignSessionRequest_SessionLocale

    EReference getDesignSessionRequest_SessionLocale()

  Returns the meta object for the containment reference '`Session Locale`'.

  Returns:
    the meta object for the containment reference 'Session Locale'.
  See Also:
    `DesignSessionRequest.getSessionLocale()`, `getDesignSessionRequest()`

### getDesignSessionRequest_DesignerState

    EReference getDesignSessionRequest_DesignerState()

  Returns the meta object for the containment reference '`Designer State`'.

  Returns:
    the meta object for the containment reference 'Designer State'.
  See Also:
    `DesignSessionRequest.getDesignerState()`, `getDesignSessionRequest()`

### getDesignSessionResponse

    EClass getDesignSessionResponse()

  Returns the meta object for class '`Session Response`'.

  Returns:
    the meta object for class 'Session Response'.
  See Also:
    `DesignSessionResponse`

### getDesignSessionResponse_SessionStatus

    EAttribute getDesignSessionResponse_SessionStatus()

  Returns the meta object for the attribute '`Session Status`'.

  Returns:
    the meta object for the attribute 'Session Status'.
  See Also:
    `DesignSessionResponse.getSessionStatus()`, `getDesignSessionResponse()`

### getDesignSessionResponse_DataAccessDesign

    EReference getDesignSessionResponse_DataAccessDesign()

  Returns the meta object for the containment reference '`Data Access Design`'.

  Returns:
    the meta object for the containment reference 'Data Access Design'.
  See Also:
    `DesignSessionResponse.getDataAccessDesign()`, `getDesignSessionResponse()`

### getDesignSessionResponse_DesignerState

    EReference getDesignSessionResponse_DesignerState()

  Returns the meta object for the containment reference '`Designer State`'.

  Returns:
    the meta object for the containment reference 'Designer State'.
  See Also:
    `DesignSessionResponse.getDesignerState()`, `getDesignSessionResponse()`

### getDocumentRoot

    EClass getDocumentRoot()

  Returns the meta object for class '`Document Root`'.

  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    EAttribute getDocumentRoot_Mixed()

  Returns the meta object for the attribute list '`Mixed`'.

  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    EReference getDocumentRoot_XMLNSPrefixMap()

  Returns the meta object for the map '`XMLNS Prefix Map`'.

  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    EReference getDocumentRoot_XSISchemaLocation()

  Returns the meta object for the map '`XSI Schema Location`'.

  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `getDocumentRoot()`

### getDocumentRoot_OdaDesignSession

    EReference getDocumentRoot_OdaDesignSession()

  Returns the meta object for the containment reference '`Oda Design Session`'.

  Returns:
    the meta object for the containment reference 'Oda Design Session'.
  See Also:
    `DocumentRoot.getOdaDesignSession()`, `getDocumentRoot()`

### getDynamicValuesQuery

    EClass getDynamicValuesQuery()

  Returns the meta object for class '`Dynamic Values Query`'.

  Returns:
    the meta object for class 'Dynamic Values Query'.
  See Also:
    `DynamicValuesQuery`

### getDynamicValuesQuery_DataSetDesign

    EReference getDynamicValuesQuery_DataSetDesign()

  Returns the meta object for the containment reference '`Data Set Design`'.

  Returns:
    the meta object for the containment reference 'Data Set Design'.
  See Also:
    `DynamicValuesQuery.getDataSetDesign()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_Enabled

    EAttribute getDynamicValuesQuery_Enabled()

  Returns the meta object for the attribute '`Enabled`'.

  Returns:
    the meta object for the attribute 'Enabled'.
  See Also:
    `DynamicValuesQuery.isEnabled()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_ValueColumn

    EAttribute getDynamicValuesQuery_ValueColumn()

  Returns the meta object for the attribute '`Value Column`'.

  Returns:
    the meta object for the attribute 'Value Column'.
  See Also:
    `DynamicValuesQuery.getValueColumn()`, `getDynamicValuesQuery()`

### getDynamicValuesQuery_DisplayNameColumn

    EAttribute getDynamicValuesQuery_DisplayNameColumn()

  Returns the meta object for the attribute '`Display Name Column`'.

  Returns:
    the meta object for the attribute 'Display Name Column'.
  See Also:
    `DynamicValuesQuery.getDisplayNameColumn()`, `getDynamicValuesQuery()`

### getInputElementAttributes

    EClass getInputElementAttributes()

  Returns the meta object for class '`Input Element Attributes`'.

  Returns:
    the meta object for class 'Input Element Attributes'.
  See Also:
    `InputElementAttributes`

### getInputElementAttributes_DefaultScalarValue

    EAttribute getInputElementAttributes_DefaultScalarValue()

  Returns the meta object for the attribute '`Default Scalar Value`'.

  Returns:
    the meta object for the attribute 'Default Scalar Value'.
  See Also:
    `InputElementAttributes.getDefaultScalarValue()`, `getInputElementAttributes()`

### getInputElementAttributes_Editable

    EAttribute getInputElementAttributes_Editable()

  Returns the meta object for the attribute '`Editable`'.

  Returns:
    the meta object for the attribute 'Editable'.
  See Also:
    `InputElementAttributes.isEditable()`, `getInputElementAttributes()`

### getInputElementAttributes_Optional

    EAttribute getInputElementAttributes_Optional()

  Returns the meta object for the attribute '`Optional`'.

  Returns:
    the meta object for the attribute 'Optional'.
  See Also:
    `InputElementAttributes.isOptional()`, `getInputElementAttributes()`

### getInputElementAttributes_MasksValue

    EAttribute getInputElementAttributes_MasksValue()

  Returns the meta object for the attribute '`Masks Value`'.

  Returns:
    the meta object for the attribute 'Masks Value'.
  See Also:
    `InputElementAttributes.isMasksValue()`, `getInputElementAttributes()`

### getInputElementAttributes_StaticValueChoices

    EReference getInputElementAttributes_StaticValueChoices()

  Returns the meta object for the containment reference '`Static Value Choices`'.

  Returns:
    the meta object for the containment reference 'Static Value Choices'.
  See Also:
    `InputElementAttributes.getStaticValueChoices()`, `getInputElementAttributes()`

### getInputElementAttributes_DynamicValueChoices

    EReference getInputElementAttributes_DynamicValueChoices()

  Returns the meta object for the containment reference '`Dynamic Value Choices`'.

  Returns:
    the meta object for the containment reference 'Dynamic Value Choices'.
  See Also:
    `InputElementAttributes.getDynamicValueChoices()`, `getInputElementAttributes()`

### getInputElementAttributes_UiHints

    EReference getInputElementAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `InputElementAttributes.getUiHints()`, `getInputElementAttributes()`

### getInputElementUIHints

    EClass getInputElementUIHints()

  Returns the meta object for class '`Input Element UI Hints`'.

  Returns:
    the meta object for class 'Input Element UI Hints'.
  See Also:
    `InputElementUIHints`

### getInputElementUIHints_PromptStyle

    EAttribute getInputElementUIHints_PromptStyle()

  Returns the meta object for the attribute '`Prompt Style`'.

  Returns:
    the meta object for the attribute 'Prompt Style'.
  See Also:
    `InputElementUIHints.getPromptStyle()`, `getInputElementUIHints()`

### getInputParameterAttributes

    EClass getInputParameterAttributes()

  Returns the meta object for class '`Input Parameter Attributes`'.

  Returns:
    the meta object for class 'Input Parameter Attributes'.
  See Also:
    `InputParameterAttributes`

### getInputParameterAttributes_ElementAttributes

    EReference getInputParameterAttributes_ElementAttributes()

  Returns the meta object for the containment reference '`Element Attributes`'.

  Returns:
    the meta object for the containment reference 'Element Attributes'.
  See Also:
    `InputParameterAttributes.getElementAttributes()`, `getInputParameterAttributes()`

### getInputParameterAttributes_UiHints

    EReference getInputParameterAttributes_UiHints()

  Returns the meta object for the containment reference '`Ui Hints`'.

  Returns:
    the meta object for the containment reference 'Ui Hints'.
  See Also:
    `InputParameterAttributes.getUiHints()`, `getInputParameterAttributes()`

### getInputParameterUIHints

    EClass getInputParameterUIHints()

  Returns the meta object for class '`Input Parameter UI Hints`'.

  Returns:
    the meta object for class 'Input Parameter UI Hints'.
  See Also:
    `InputParameterUIHints`

### getInputParameterUIHints_GroupPromptDisplayName

    EAttribute getInputParameterUIHints_GroupPromptDisplayName()

  Returns the meta object for the attribute '`Group Prompt Display Name`'.

  Returns:
    the meta object for the attribute 'Group Prompt Display Name'.
  See Also:
    `InputParameterUIHints.getGroupPromptDisplayName()`, `getInputParameterUIHints()`

### getLocale

    EClass getLocale()

  Returns the meta object for class '`Locale`'.

  Returns:
    the meta object for class 'Locale'.
  See Also:
    `Locale`

### getLocale_Language

    EAttribute getLocale_Language()

  Returns the meta object for the attribute '`Language`'.

  Returns:
    the meta object for the attribute 'Language'.
  See Also:
    `Locale.getLanguage()`, `getLocale()`

### getLocale_Country

    EAttribute getLocale_Country()

  Returns the meta object for the attribute '`Country`'.

  Returns:
    the meta object for the attribute 'Country'.
  See Also:
    `Locale.getCountry()`, `getLocale()`

### getLocale_Variant

    EAttribute getLocale_Variant()

  Returns the meta object for the attribute '`Variant`'.

  Returns:
    the meta object for the attribute 'Variant'.
  See Also:
    `Locale.getVariant()`, `getLocale()`

### getNameValuePair

    EClass getNameValuePair()

  Returns the meta object for class '`Name Value Pair`'.

  Returns:
    the meta object for class 'Name Value Pair'.
  See Also:
    `NameValuePair`

### getNameValuePair_Name

    EAttribute getNameValuePair_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `NameValuePair.getName()`, `getNameValuePair()`

### getNameValuePair_Value

    EAttribute getNameValuePair_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `NameValuePair.getValue()`, `getNameValuePair()`

### getOdaDesignSession

    EClass getOdaDesignSession()

  Returns the meta object for class '`Oda Design Session`'.

  Returns:
    the meta object for class 'Oda Design Session'.
  See Also:
    `OdaDesignSession`

### getOdaDesignSession_Request

    EReference getOdaDesignSession_Request()

  Returns the meta object for the containment reference '`Request`'.

  Returns:
    the meta object for the containment reference 'Request'.
  See Also:
    `OdaDesignSession.getRequest()`, `getOdaDesignSession()`

### getOdaDesignSession_Response

    EReference getOdaDesignSession_Response()

  Returns the meta object for the containment reference '`Response`'.

  Returns:
    the meta object for the containment reference 'Response'.
  See Also:
    `OdaDesignSession.getResponse()`, `getOdaDesignSession()`

### getOutputElementAttributes

    EClass getOutputElementAttributes()

  Returns the meta object for class '`Output Element Attributes`'.

  Returns:
    the meta object for class 'Output Element Attributes'.
  See Also:
    `OutputElementAttributes`

### getOutputElementAttributes_Label

    EAttribute getOutputElementAttributes_Label()

  Returns the meta object for the attribute '`Label`'.

  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `OutputElementAttributes.getLabel()`, `getOutputElementAttributes()`

### getOutputElementAttributes_FormattingHints

    EReference getOutputElementAttributes_FormattingHints()

  Returns the meta object for the containment reference '`Formatting Hints`'.

  Returns:
    the meta object for the containment reference 'Formatting Hints'.
  See Also:
    `OutputElementAttributes.getFormattingHints()`, `getOutputElementAttributes()`

### getOutputElementAttributes_HelpText

    EAttribute getOutputElementAttributes_HelpText()

  Returns the meta object for the attribute '`Help Text`'.

  Returns:
    the meta object for the attribute 'Help Text'.
  See Also:
    `OutputElementAttributes.getHelpText()`, `getOutputElementAttributes()`

### getParameterDefinition

    EClass getParameterDefinition()

  Returns the meta object for class '`Parameter Definition`'.

  Returns:
    the meta object for class 'Parameter Definition'.
  See Also:
    `ParameterDefinition`

### getParameterDefinition_InOutMode

    EAttribute getParameterDefinition_InOutMode()

  Returns the meta object for the attribute '`In Out Mode`'.

  Returns:
    the meta object for the attribute 'In Out Mode'.
  See Also:
    `ParameterDefinition.getInOutMode()`, `getParameterDefinition()`

### getParameterDefinition_Attributes

    EReference getParameterDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ParameterDefinition.getAttributes()`, `getParameterDefinition()`

### getParameterDefinition_InputAttributes

    EReference getParameterDefinition_InputAttributes()

  Returns the meta object for the containment reference '`Input Attributes`'.

  Returns:
    the meta object for the containment reference 'Input Attributes'.
  See Also:
    `ParameterDefinition.getInputAttributes()`, `getParameterDefinition()`

### getParameterDefinition_OutputUsageHints

    EReference getParameterDefinition_OutputUsageHints()

  Returns the meta object for the containment reference '`Output Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Output Usage Hints'.
  See Also:
    `ParameterDefinition.getOutputUsageHints()`, `getParameterDefinition()`

### getParameterDefinition_Fields

    EReference getParameterDefinition_Fields()

  Returns the meta object for the containment reference '`Fields`'.

  Returns:
    the meta object for the containment reference 'Fields'.
  See Also:
    `ParameterDefinition.getFields()`, `getParameterDefinition()`

### getParameterFieldDefinition

    EClass getParameterFieldDefinition()

  Returns the meta object for class '`Parameter Field Definition`'.

  Returns:
    the meta object for class 'Parameter Field Definition'.
  See Also:
    `ParameterFieldDefinition`

### getParameterFieldDefinition_Attributes

    EReference getParameterFieldDefinition_Attributes()

  Returns the meta object for the containment reference '`Attributes`'.

  Returns:
    the meta object for the containment reference 'Attributes'.
  See Also:
    `ParameterFieldDefinition.getAttributes()`, `getParameterFieldDefinition()`

### getParameterFieldDefinition_InputAttributes

    EReference getParameterFieldDefinition_InputAttributes()

  Returns the meta object for the containment reference '`Input Attributes`'.

  Returns:
    the meta object for the containment reference 'Input Attributes'.
  See Also:
    `ParameterFieldDefinition.getInputAttributes()`, `getParameterFieldDefinition()`

### getParameterFieldDefinition_OutputUsageHints

    EReference getParameterFieldDefinition_OutputUsageHints()

  Returns the meta object for the containment reference '`Output Usage Hints`'.

  Returns:
    the meta object for the containment reference 'Output Usage Hints'.
  See Also:
    `ParameterFieldDefinition.getOutputUsageHints()`, `getParameterFieldDefinition()`

### getParameterFields

    EClass getParameterFields()

  Returns the meta object for class '`Parameter Fields`'.

  Returns:
    the meta object for class 'Parameter Fields'.
  See Also:
    `ParameterFields`

### getParameterFields_FieldCollection

    EReference getParameterFields_FieldCollection()

  Returns the meta object for the containment reference list '`Field Collection`'.

  Returns:
    the meta object for the containment reference list 'Field Collection'.
  See Also:
    `ParameterFields.getFieldCollection()`, `getParameterFields()`

### getProperties

    EClass getProperties()

  Returns the meta object for class '`Properties`'.

  Returns:
    the meta object for class 'Properties'.
  See Also:
    `Properties`

### getProperties_Properties

    EReference getProperties_Properties()

  Returns the meta object for the containment reference list '`Properties`'.

  Returns:
    the meta object for the containment reference list 'Properties'.
  See Also:
    `Properties.getProperties()`, `getProperties()`

### getProperty

    EClass getProperty()

  Returns the meta object for class '`Property`'.

  Returns:
    the meta object for class 'Property'.
  See Also:
    `Property`

### getProperty_NameValue

    EReference getProperty_NameValue()

  Returns the meta object for the containment reference '`Name Value`'.

  Returns:
    the meta object for the containment reference 'Name Value'.
  See Also:
    `Property.getNameValue()`, `getProperty()`

### getProperty_DesignAttributes

    EReference getProperty_DesignAttributes()

  Returns the meta object for the containment reference '`Design Attributes`'.

  Returns:
    the meta object for the containment reference 'Design Attributes'.
  See Also:
    `Property.getDesignAttributes()`, `getProperty()`

### getPropertyAttributes

    EClass getPropertyAttributes()

  Returns the meta object for class '`Property Attributes`'.

  Returns:
    the meta object for class 'Property Attributes'.
  See Also:
    `PropertyAttributes`

### getPropertyAttributes_DisplayName

    EAttribute getPropertyAttributes_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `PropertyAttributes.getDisplayName()`, `getPropertyAttributes()`

### getPropertyAttributes_ElementAttributes

    EReference getPropertyAttributes_ElementAttributes()

  Returns the meta object for the containment reference '`Element Attributes`'.

  Returns:
    the meta object for the containment reference 'Element Attributes'.
  See Also:
    `PropertyAttributes.getElementAttributes()`, `getPropertyAttributes()`

### getPropertyAttributes_DerivedMetaData

    EAttribute getPropertyAttributes_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `PropertyAttributes.isDerivedMetaData()`, `getPropertyAttributes()`

### getResultSetColumns

    EClass getResultSetColumns()

  Returns the meta object for class '`Result Set Columns`'.

  Returns:
    the meta object for class 'Result Set Columns'.
  See Also:
    `ResultSetColumns`

### getResultSetColumns_ResultColumnDefinitions

    EReference getResultSetColumns_ResultColumnDefinitions()

  Returns the meta object for the containment reference list '`Result Column Definitions`'.

  Returns:
    the meta object for the containment reference list 'Result Column Definitions'.
  See Also:
    `ResultSetColumns.getResultColumnDefinitions()`, `getResultSetColumns()`

### getResultSetDefinition

    EClass getResultSetDefinition()

  Returns the meta object for class '`Result Set Definition`'.

  Returns:
    the meta object for class 'Result Set Definition'.
  See Also:
    `ResultSetDefinition`

### getResultSetDefinition_Name

    EAttribute getResultSetDefinition_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ResultSetDefinition.getName()`, `getResultSetDefinition()`

### getResultSetDefinition_ResultSetColumns

    EReference getResultSetDefinition_ResultSetColumns()

  Returns the meta object for the containment reference '`Result Set Columns`'.

  Returns:
    the meta object for the containment reference 'Result Set Columns'.
  See Also:
    `ResultSetDefinition.getResultSetColumns()`, `getResultSetDefinition()`

### getResultSets

    EClass getResultSets()

  Returns the meta object for class '`Result Sets`'.

  Returns:
    the meta object for class 'Result Sets'.
  See Also:
    `ResultSets`

### getResultSets_ResultSetDefinitions

    EReference getResultSets_ResultSetDefinitions()

  Returns the meta object for the containment reference list '`Result Set Definitions`'.

  Returns:
    the meta object for the containment reference list 'Result Set Definitions'.
  See Also:
    `ResultSets.getResultSetDefinitions()`, `getResultSets()`

### getResultSets_DerivedMetaData

    EAttribute getResultSets_DerivedMetaData()

  Returns the meta object for the attribute '`Derived Meta Data`'.

  Returns:
    the meta object for the attribute 'Derived Meta Data'.
  See Also:
    `ResultSets.isDerivedMetaData()`, `getResultSets()`

### getScalarValueChoices

    EClass getScalarValueChoices()

  Returns the meta object for class '`Scalar Value Choices`'.

  Returns:
    the meta object for class 'Scalar Value Choices'.
  See Also:
    `ScalarValueChoices`

### getScalarValueChoices_ScalarValues

    EReference getScalarValueChoices_ScalarValues()

  Returns the meta object for the containment reference list '`Scalar Values`'.

  Returns:
    the meta object for the containment reference list 'Scalar Values'.
  See Also:
    `ScalarValueChoices.getScalarValues()`, `getScalarValueChoices()`

### getScalarValueDefinition

    EClass getScalarValueDefinition()

  Returns the meta object for class '`Scalar Value Definition`'.

  Returns:
    the meta object for class 'Scalar Value Definition'.
  See Also:
    `ScalarValueDefinition`

### getScalarValueDefinition_Value

    EAttribute getScalarValueDefinition_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `ScalarValueDefinition.getValue()`, `getScalarValueDefinition()`

### getScalarValueDefinition_DisplayName

    EAttribute getScalarValueDefinition_DisplayName()

  Returns the meta object for the attribute '`Display Name`'.

  Returns:
    the meta object for the attribute 'Display Name'.
  See Also:
    `ScalarValueDefinition.getDisplayName()`, `getScalarValueDefinition()`

### getValueFormatHints

    EClass getValueFormatHints()

  Returns the meta object for class '`Value Format Hints`'.

  Returns:
    the meta object for class 'Value Format Hints'.
  See Also:
    `ValueFormatHints`

### getValueFormatHints_DisplaySize

    EAttribute getValueFormatHints_DisplaySize()

  Returns the meta object for the attribute '`Display Size`'.

  Returns:
    the meta object for the attribute 'Display Size'.
  See Also:
    `ValueFormatHints.getDisplaySize()`, `getValueFormatHints()`

### getValueFormatHints_DisplayFormat

    EAttribute getValueFormatHints_DisplayFormat()

  Returns the meta object for the attribute '`Display Format`'.

  Returns:
    the meta object for the attribute 'Display Format'.
  See Also:
    `ValueFormatHints.getDisplayFormat()`, `getValueFormatHints()`

### getValueFormatHints_TextFormatType

    EAttribute getValueFormatHints_TextFormatType()

  Returns the meta object for the attribute '`Text Format Type`'.

  Returns:
    the meta object for the attribute 'Text Format Type'.
  See Also:
    `ValueFormatHints.getTextFormatType()`, `getValueFormatHints()`

### getValueFormatHints_HorizontalAlignment

    EAttribute getValueFormatHints_HorizontalAlignment()

  Returns the meta object for the attribute '`Horizontal Alignment`'.

  Returns:
    the meta object for the attribute 'Horizontal Alignment'.
  See Also:
    `ValueFormatHints.getHorizontalAlignment()`, `getValueFormatHints()`

### getValueFormatHints_TextWrapType

    EAttribute getValueFormatHints_TextWrapType()

  Returns the meta object for the attribute '`Text Wrap Type`'.

  Returns:
    the meta object for the attribute 'Text Wrap Type'.
  See Also:
    `ValueFormatHints.getTextWrapType()`, `getValueFormatHints()`

### getAxisType

    EEnum getAxisType()

  Returns the meta object for enum '`Axis Type`'.

  Returns:
    the meta object for enum 'Axis Type'.
  See Also:
    `AxisType`

### getElementNullability

    EEnum getElementNullability()

  Returns the meta object for enum '`Element Nullability`'.

  Returns:
    the meta object for enum 'Element Nullability'.
  See Also:
    `ElementNullability`

### getHorizontalAlignment

    EEnum getHorizontalAlignment()

  Returns the meta object for enum '`Horizontal Alignment`'.

  Returns:
    the meta object for enum 'Horizontal Alignment'.
  See Also:
    `HorizontalAlignment`

### getInputPromptControlStyle

    EEnum getInputPromptControlStyle()

  Returns the meta object for enum '`Input Prompt Control Style`'.

  Returns:
    the meta object for enum 'Input Prompt Control Style'.
  See Also:
    `InputPromptControlStyle`

### getOdaComplexDataType

    EEnum getOdaComplexDataType()

  Returns the meta object for enum '`Oda Complex Data Type`'.

  Returns:
    the meta object for enum 'Oda Complex Data Type'.
  See Also:
    `OdaComplexDataType`

### getOdaScalarDataType

    EEnum getOdaScalarDataType()

  Returns the meta object for enum '`Oda Scalar Data Type`'.

  Returns:
    the meta object for enum 'Oda Scalar Data Type'.
  See Also:
    `OdaScalarDataType`

### getParameterMode

    EEnum getParameterMode()

  Returns the meta object for enum '`Parameter Mode`'.

  Returns:
    the meta object for enum 'Parameter Mode'.
  See Also:
    `ParameterMode`

### getSessionStatus

    EEnum getSessionStatus()

  Returns the meta object for enum '`Session Status`'.

  Returns:
    the meta object for enum 'Session Status'.
  See Also:
    `SessionStatus`

### getTextFormatType

    EEnum getTextFormatType()

  Returns the meta object for enum '`Text Format Type`'.

  Returns:
    the meta object for enum 'Text Format Type'.
  See Also:
    `TextFormatType`

### getTextWrapType

    EEnum getTextWrapType()

  Returns the meta object for enum '`Text Wrap Type`'.

  Returns:
    the meta object for enum 'Text Wrap Type'.
  See Also:
    `TextWrapType`

### getAxisTypeObject

    EDataType getAxisTypeObject()

  Returns the meta object for data type '`Axis Type Object`'.

  Returns:
    the meta object for data type 'Axis Type Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getElementNullabilityObject

    EDataType getElementNullabilityObject()

  Returns the meta object for data type '`Element Nullability Object`'.

  Returns:
    the meta object for data type 'Element Nullability Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getHorizontalAlignmentObject

    EDataType getHorizontalAlignmentObject()

  Returns the meta object for data type '`Horizontal Alignment Object`'.

  Returns:
    the meta object for data type 'Horizontal Alignment Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getInputPromptControlStyleObject

    EDataType getInputPromptControlStyleObject()

  Returns the meta object for data type '`Input Prompt Control Style Object`'.

  Returns:
    the meta object for data type 'Input Prompt Control Style Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getNativeDataTypeCode

    EDataType getNativeDataTypeCode()

  Returns the meta object for data type 'Native Data Type Code'.

  Returns:
    the meta object for data type 'Native Data Type Code'.

### getNativeDataTypeCodeObject

    EDataType getNativeDataTypeCodeObject()

  Returns the meta object for data type '`Native Data Type Code Object`'.

  Returns:
    the meta object for data type 'Native Data Type Code Object'.
  See Also:
    `Integer`

### getOdaComplexDataTypeObject

    EDataType getOdaComplexDataTypeObject()

  Returns the meta object for data type '`Oda Complex Data Type Object`'.

  Returns:
    the meta object for data type 'Oda Complex Data Type Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getOdaScalarDataTypeObject

    EDataType getOdaScalarDataTypeObject()

  Returns the meta object for data type '`Oda Scalar Data Type Object`'.

  Returns:
    the meta object for data type 'Oda Scalar Data Type Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getParameterModeObject

    EDataType getParameterModeObject()

  Returns the meta object for data type '`Parameter Mode Object`'.

  Returns:
    the meta object for data type 'Parameter Mode Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getSessionStatusObject

    EDataType getSessionStatusObject()

  Returns the meta object for data type '`Session Status Object`'.

  Returns:
    the meta object for data type 'Session Status Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getTextFormatTypeObject

    EDataType getTextFormatTypeObject()

  Returns the meta object for data type '`Text Format Type Object`'.

  Returns:
    the meta object for data type 'Text Format Type Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getTextWrapTypeObject

    EDataType getTextWrapTypeObject()

  Returns the meta object for data type '`Text Wrap Type Object`'.

  Returns:
    the meta object for data type 'Text Wrap Type Object'.
  See Also:
    `org.eclipse.emf.common.util.AbstractEnumerator`

### getDesignFactory

    DesignFactory getDesignFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.